'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lr = require('@lezer/lr');
var language = require('@codemirror/language');
var highlight = require('@lezer/highlight');
var autocomplete = require('@codemirror/autocomplete');
var lint = require('@codemirror/lint');
var fastestLevenshtein = require('fastest-levenshtein');

// This file was generated by lezer-generator. You probably shouldn't edit it.
const eof = 276,
  given = 1,
  version = 2,
  unknown = 3,
  ignore = 4,
  have = 5,
  a = 6,
  my = 7,
  that = 8,
  valid = 9,
  inside = 10,
  named = 11,
  am = 12,
  known = 13,
  as = 14,
  connect = 15,
  to = 16,
  open = 17,
  and = 18,
  send = 19,
  statement = 20,
  parameters = 21,
  record = 22,
  table = 23,
  variable = 24,
  name = 25,
  address = 26,
  transaction_id = 27,
  addresses = 28,
  transaction = 29,
  sc = 30,
  path = 31,
  content = 32,
  commit = 33,
  paths = 34,
  array = 35,
  values = 36,
  value = 37,
  sources = 38,
  properties = 39,
  headers = 40,
  object = 41,
  json_data = 42,
  json_schema = 43,
  request = 44,
  server_data = 45,
  client = 46,
  expires_in = 47,
  token = 48,
  request_uri = 49,
  data = 50,
  my_credentials = 51,
  email = 52,
  list_parameters = 53,
  show_parameters = 54,
  create_parameters = 55,
  record_parameters = 56,
  update_parameters = 57,
  delete_parameters = 58,
  send_parameters = 59,
  url = 60,
  text = 61,
  command = 62,
  jwk = 63,
  holder = 64,
  fields = 65,
  verifier_url = 66,
  issued_vc = 67,
  disclosed = 68,
  nonce = 69,
  sk = 70,
  script = 71,
  key = 72,
  keys = 73,
  extra = 74,
  conf = 75,
  execute = 76,
  sql = 77,
  _with = 78,
  read = 79,
  file = 80,
  the = 81,
  of = 82,
  database = 83,
  save = 84,
  ethereum = 85,
  bytes = 86,
  balance = 87,
  suggested = 88,
  gas = 89,
  price = 90,
  id = 91,
  after = 92,
  broadcast = 93,
  erc20 = 94,
  decimals = 95,
  symbol = 96,
  total = 97,
  supply = 98,
  erc721 = 99,
  _in = 100,
  owner = 101,
  asset = 102,
  download = 103,
  extract = 104,
  verbatim = 105,
  store = 106,
  list = 107,
  directory = 108,
  exists = 109,
  does = 110,
  not = 111,
  exist = 112,
  verify = 113,
  git = 114,
  repository = 115,
  clone = 116,
  create = 117,
  _new = 118,
  manipulate = 119,
  get = 120,
  set = 121,
  merge = 122,
  omit = 123,
  uri = 124,
  concat = 125,
  compact = 126,
  pick = 127,
  _do = 128,
  sequential = 129,
  parallel = 130,
  same = 131,
  post = 132,
  put = 133,
  patch = 134,
  validate = 135,
  json = 136,
  generate = 137,
  access = 138,
  authorization = 139,
  code = 140,
  details = 141,
  from = 142,
  add = 143,
  start = 144,
  pb = 145,
  capacitor = 146,
  login = 147,
  ask = 148,
  password = 149,
  reset = 150,
  some = 151,
  records = 152,
  one = 153,
  update = 154,
  qr = 155,
  write = 156,
  into = 157,
  redis = 158,
  _delete = 159,
  shell = 160,
  fetch = 161,
  local = 162,
  timestamp = 163,
  milliseconds = 164,
  seconds = 165,
  present = 166,
  vc = 167,
  sd = 168,
  jwt = 169,
  _public = 170,
  pretty = 171,
  print = 172,
  zencode = 173,
  output = 174,
  is = 175,
  then = 176,
  when = 177,
  rule = 178,
  scenario = 179,
  _if = 180,
  endif = 181,
  foreach = 182,
  endforeach = 183,
  I = 184,
  p256 = 185;

// SPDX-FileCopyrightText: 2024 Dyne.org foundation

const Eoftoken = new lr.ExternalTokenizer(
	(input) => {
		if (input.next < 0) {
			input.acceptToken(eof);
		}
	},
	{ contextual: true, fallback: true },
);
const keywordMap = {
	version,
	unknown,
	ignore,
	have,
	a,
	my,
	that,
	valid,
	inside,
	named,
	am,
	known,
	as,
	connect,
	to,
	open,
	and,
	send,
	statement,
	parameters,
	record,
	table,
	variable,
	name,
	address,
	transaction_id,
	addresses,
	transaction,
	sc,
	path,
	content,
	commit,
	paths,
	array,
	values,
	value,
	sources,
	properties,
	headers,
	object,
	json_data,
	json_schema,
	request,
	uri,
	server_data,
	client,
	expires_in,
	token,
	request_uri,
	data,
	my_credentials,
	email,
	list_parameters,
	show_parameters,
	create_parameters,
	record_parameters,
	update_parameters,
	delete_parameters,
	send_parameters,
	url,
	text,
	command,
	jwk,
	holder,
	fields,
	verifier_url,
	issued_vc,
	disclosed,
	nonce,
	sk,
	script,
	key,
	keys,
	extra,
	conf,
	execute,
	sql,
	with: _with,
	read,
	file,
	the,
	of,
	database,
	save,
	ethereum,
	bytes,
	balance,
	suggested,
	gas,
	price,
	id,
	after,
	broadcast,
	erc20,
	decimals,
	symbol,
	total,
	supply,
	erc721,
	in: _in,
	owner,
	asset,
	download,
	extract,
	verbatim,
	store,
	list,
	directory,
	exists,
	does,
	not,
	exist,
	verify,
	git,
	repository,
	clone,
	create,
	new: _new,
	manipulate,
	get,
	set,
	merge,
	omit,
	concat,
	compact,
	pick,
	do: _do,
	sequential,
	parallel,
	same,
	post,
	put,
	patch,
	validate,
	json,
	generate,
	access,
	authorization,
	code,
	details,
	from,
	add,
	start,
	pb,
	capacitor,
	login,
	ask,
	password,
	reset,
	some,
	records,
	one,
	update,
	qr,
	write,
	into,
	redis,
	delete: _delete,
	shell,
	fetch,
	local,
	timestamp,
	milliseconds,
	seconds,
	present,
	vc,
	sd,
	jwt,
	public: _public,
	pretty,
	print,
	zencode,
	output,
	is,
	given,
	then,
	when,
	rule,
	scenario,
	if: _if,
	endif,
	foreach,
	endforeach,
	I,
	p256,
};

function keywords(name) {
	if (name == 'I') {
		return keywordMap[name];
	}

	let found = keywordMap[name.toLowerCase()];
	return found == null ? -1 : found;
}

// This file was generated by lezer-generator. You probably shouldn't edit it.
const parser = lr.LRParser.deserialize({
  version: 14,
  states: "!@rQVQPOOO-yQRO'#G_O:]QPO'#GgO:gQPO'#GkO:rQPO'#HrO:zQPO'#HwO;PQPO'#HyOOQO'#IX'#IXO;UQPO'#HxO;gQPO'#HzOOQO'#Gj'#GjO;qQRO'#H{OOQO'#H|'#H|QVQPOOO;yQRO'#GfOOQQ'#Gf'#GfOOQQ'#H}'#H}OH_QRO'#GcOHlQRO,5<yOOQQ'#Gh'#GhOHtQRO,5=ROJZQPO,5=VOJhQPO,5>`OJmQPO,5>aOJrQPO,5>^OJyQPO,5>_OKTQPO,5>cOK_QPO,5>eOKdQPO'#GkOOQO-E<V-E<VOOQO'#IY'#IYOKiQPO,5>dOKwQRO,5>dOLPQPO,5>fOOQO'#IO'#IOOLXQPO,5>gOOQO,5>g,5>gOOQO-E;z-E;zOLyQRO'#GaOOQQ,5<z,5<zOOQQ-E;{-E;{OMXQPO1G2eOOQO1G2e1G2eOMyQPO1G2mONkQRO'#GiOOQO1G2m1G2mON{QRO1G2mO!!tQPO'#H_OOQQ'#Gm'#GmO!$yQPO'#GmO!%OQRO'#GlO!%^QPO'#GtOOQQ'#Gr'#GrO!%cQRO'#GqOOQQ'#Gv'#GvO!%qQRO'#GuO!&PQPO'#G|O!&XQPO'#G|O!&^QPO'#H_OOQQ'#Gz'#GzO!&lQPO'#GzO!&qQRO'#GyO!'PQPO'#HPO!'UQRO'#G}O!'dQPO'#HTOOQQ'#HR'#HRO!(OQRO'#HQO!(^QRO'#HUO!(lQRO'#HXO!(zQPO'#H_OOQQ'#H_'#H_O!)SQPO'#H_O!)XQPO'#H_O!)aQPO'#H_OOQQ'#H]'#H]O!)fQRO'#H[O!)tQRO'#H`OOQQ'#Hd'#HdO!*SQRO'#HcO!*bQRO'#HgO!*pQPO'#HkO!*uQRO'#HjO!&SQPO'#HnO!+TQPO'#HnO!+YQRO'#HlO!+hQRO'#HoO!+vQRO1G2qO!,OQPO1G3zO!,aQPO1G3{O!,iQPO1G3{O!,nQPO1G3zO!,sQPO1G3{O!,xQRO1G3xOJyQPO1G3yOOQQ'#IR'#IRO!-QQRO1G3yOOQQ'#IP'#IPO!-bQRO1G3}OKTQPO1G4POIPQPO,5=VOOQO-E<W-E<WO!-rQRO1G4OO!-zQPO1G4OOOQO1G4O1G4OOJyQPO1G4QOOQO-E;|-E;|O!.lQRO,5<{O!.zQRO,5<{O!/YQRO,5=TO!/jQPO7+(XOOQO7+(X7+(XO!0[QPO,5=YO!0aQPO,5=_O!0fQPO,5=cO!0kQPO,5=cO!0pQPO,5=gO!0uQPO,5=jO!0zQPO,5=jO!1PQPO,5=nO!1UQPO,5=qO!1ZQRO,5=yO!1lQPO,5=tO!1qQPO,5=tO!1vQPO,5=tO!1{QPO,5=xO!2QQPO,5={O!2VQPO,5>PO!2[QPO,5>SO!2aQPO,5>XO!2fQPO,5>[O!2kQPO,5=XO!>rQPO'#GpOOQQ'#IQ'#IQO!?PQPO'#IQO!?UQRO,5=WO!?dQPO,5=`O!@OQRO,5=]O!@^QRO,5=aO!@lQPO,5=hO!@qQPO,5>YOOQQ,5=h,5=hO!@vQPO,5=hOOQQ,5=y,5=yO!@{QPO,5>YO!ATQPO,5=fO!AYQRO,5=eO!AhQPO,5=kO!BSQRO,5=iOOQQ,5=o,5=oO!BbQPO,5=oO!BsQRO,5=lO!CRQRO,5=pO!CaQRO,5=sO!CoQPO,5=yO!CtQPO,5=yO!CyQPO,5=yO!DOQPO,5=yO!DTQPO,5=yO!DYQRO,5=vO!DhQRO,5=zO!DvQRO,5=}O!EUQRO,5>RO!EdQPO,5>VO!EiQRO,5>UO!EwQRO,5>WO!FVQRO,5>ZO!FeQPO7+(]OOQO7+(]7+(]O!G]QRO7+)fO!GtQPO7+)fO!GyQPO7+)fO!HRQRO7+)gO!HZQPO7+)gO!H`QPO7+)gO!HeQPO7+)fOKTQPO7+)gO!HvQPO7+)dOOQO7+)d7+)dO!InQRO7+)eO!JvQPO'#IOO!J}QPO7+)eOOQQ-E<P-E<PO!KuQRO7+)eOOQO7+)e7+)eO!K}QPO'#IOO!LUQPO7+)iOOQQ-E;}-E;}O!L|QRO7+)iOOQO7+)i7+)iO!MUQRO7+)kO!MfQPO7+)jOOQO7+)j7+)jO!NWQPO7+)lOOQQ1G2g1G2gO!NeQRO1G2gO!NpQRO1G2gO# OQPO1G2tO# TQPO1G2yO# YQPO1G2}O# _QPO1G2}O# dQPO1G3RO# iQPO1G3UO# nQPO1G3UO# sQPO1G3YO# xQPO1G3]O# }QPO1G3`O#!SQPO1G3`O#!XQPO1G3`O#!^QPO1G3dO#!cQPO1G3gO#!hQPO1G3kO#!mQPO1G3nO#!rQPO1G3sO#!wQPO1G3vO#!|QPO1G2sO##RQPO,5=[O##ZQPO,5=[OOQQ,5>l,5>lOOQQ-E<O-E<OOOQQ1G2z1G2zO##`QPO1G2zO##qQPO1G2zO##vQPO1G2zO##{QPO1G2zO#$^QPO1G2zOOQQ1G3S1G3SO#$iQPO1G3tO#$nQPO1G3SOOQQ1G3t1G3tO#$sQPO1G3tO#$xQPO1G3QOOQQ1G3V1G3VOOQQ1G3Z1G3ZOOQQ1G3e1G3eO#$}QPO1G3eO#%SQPO1G3qO#%XQPO<<MQO#%|QPO'#IUO#&RQRO<<MQOOQO<<MQ<<MQO#&rQRO<<MQO#&yQRO<<MQO#'QQRO<<MQO#'cQRO<<MQO#'zQPO<<MQO#(PQPO<<MROOQQ'#IV'#IVO#(tQRO<<MROOQO<<MR<<MRO#(|QPO<<MROKTQPO<<MRO#)RQPO<<MQO#)ZQRO<<MRO#)kQPO<<MPO#*cQRO<<MPOOQO<<MP<<MPOOQO'#IT'#ITO#*kQPO,5>nOOQQ-E<Q-E<QO#*sQPO,5>rO#*xQPO<<MTOOQQ-E<U-E<UOOQO<<MT<<MTO#+pQPO<<MVOOQO<<MV<<MVO#,UQPO<<MWOOQQ7+(R7+(RO#,gQRO7+(RO#,rQPO7+(`O#-QQPO7+(eO#-qQPO7+(iO#.^QPO7+(iO#.eQPO7+(mO#.pQPO7+(pO#.xQPO7+(pO#/jQPO7+(tO#/rQPO7+(wO#/zQPO7+(zO#0]QPO7+(zO#0wQPO7+(zO#1qQPO7+)OO#1{QPO7+)RO#2QQPO7+)VO#2`QPO7+)YO#2eQPO7+)_O#2vQPO7+)bO#3OQPO7+(_OOQQ1G2v1G2vO#3fQPO1G2vOOQQ7+(f7+(fO#3kQPO7+(fO#3pQPO7+(fO#3uQPO7+(fO#3zQPO7+(fO#4PQPO7+(fO#4UQPO7+(fOOQQ7+)`7+)`OOQQ7+(n7+(nO#4ZQPO7+(lOOQQ7+)P7+)PO#4iQPO7+)]O#4nQPO,5>pO#4sQPO,5>pO#4xQPOANBlOOQQ-E<S-E<SOOQOANBlANBlO#5mQROANBlO#5mQROANBlO#5xQROANBlO#6WQROANBlO#6iQROANBlO#7XQROANBlO#7`QROANBlO#7gQPO,5>bO#7lQPOANBmOOQQ-E<T-E<TOOQOANBmANBmO#8aQROANBmO#8iQROANBmO#8yQPOANBlO#8aQROANBmO#9OQPOANBkOOQOANBkANBkOOQO-E<R-E<RO#9vQPO1G4YP#9{QPO'#ISOKTQPO1G4^P#:QQPO'#IWO#:VQPOANBrO#:eQROANBrOOQQ<<Km<<KmO#:mQPO'#GoO#:rQPO'#GoO#:wQPO'#GoO#:|QPO'#GnOOQQ<<Kz<<KzO#;bQPO'#GsOOQQ<<LP<<LPO#;sQPO'#GxO#;xQPO'#GxO#<QQPO'#GxO#<VQPO'#GxO#<[QPO'#GxO#<{QPO'#GwOOQQ<<LT<<LTO#=VQPO'#G|OOQQ<<LX<<LXOOQQ<<L[<<L[O#=[QPO'#GxO#=aQPO'#GwO#<_QPO'#G|O#=iQPO'#HOO#>_QPO'#HOOOQQ<<L`<<L`O#?RQPO'#HfO#?WQPO'#HfOOQQ<<Lq<<LqO!&dQPO'#HnOOQQ<<Ly<<LyO#?]QPO'#HSO#?eQPO'#HWO#?jQPO'#HVOOQQ<<Lc<<LcO#?rQPO'#HZO#?}QPO'#HZO#@SQPO'#HZO#@XQPO'#HZO#@rQPO'#HYOOQQ<<Lf<<LfO#@yQPO'#HZO#ARQPO'#HYO#AuQPO'#HYO#BjQPO'#HqOOQQ<<L|<<L|O#BoQPO'#H_OOQQ<<Lj<<LjO#CdQPO'#HbOOQQ<<Lm<<LmO#CiQPO'#HeO#CqQPO'#HiOOQQ<<Lt<<LtO#CvQPO'#HmO#C}QPO'#HpO#D`QPO'#H_OOQQ<<Ky<<KyOOQQ<<LO<<LOOOQQ<<LS<<LSO#DmQPO'#H_OOQQ<<LW<<LWOOQQ<<L_<<L_OOQQ<<Li<<LiOOQQ<<Lp<<LpOOQQ7+(b7+(bO#DuQPO<<LQO#DzQPO<<LQOOQQ<<LQ<<LQO#EPQPO<<LQO#EUQPO<<LQO#EZQPO'#G{O#EcQPO<<LwO#EkQPO1G4[O#EpQPO1G4[P#FOQPO'#IOO#FWQPOG28WOOQOG28WG28WO#F{QROG28WO#F{QROG28WO#GWQROG28WO#GfQROG28WO#GwQROG28WO#HgQROG28WO#HnQPO1G3|P#HsQPO'#IOO#H{QPOG28XO#IpQROG28XOOQOG28XG28XO#IxQROG28WOJyQPO7+)tO#JPQRO7+)xO#JaQROG28^O#JiQPOG28^OOQOG28^G28^O#KZQPO,5=ZO#K`QPO,5=ZO#KeQPO,5=ZO#KjQPO,5=dO#KoQPO,5=dO#KtQPO,5=dO#KyQPO,5=dO#LOQPO,5=dO#LWQPO,5=cO#L]QPO,5>QO#LbQPO,5>QOOQQ,5=r,5=rO#LgQPO,5=uO#LlQPO,5=uO#LqQPO,5=uO#LvQPO,5=uO#L{QPO,5=uO#MQQPO,5=uOOQQ,5>],5>]O#MVQPO,5=|O#M[QPO,5>TO#MaQPO,5=cO#MfQPO,5=nOOQQANAlANAlO#MkQPOANAlOOQQANBcANBcO#MpQPO7+)vO#NOQRO7+)vO#MyQPO7+)vO#MvQPO7+)vO#NgQPOLD-rOOQOLD-rLD-rO$ [QROLD-rO$ [QROLD-rO$ gQROLD-rO$ uQROLD-rO$!WQROLD-rO$!bQPO7+)hO$!pQPOLD-sOOQOLD-sLD-sO$#eQROLD-rO$#|QRO<<M`O$$^QPOLD-xOOQOLD-xLD-xO$%OQRO1G2uO$%aQPO1G2uO$%fQPO1G2uOOQQ1G3O1G3OO$%kQPO1G3OO$%pQPO1G3OO$%uQPO1G2}O$%zQPO1G3lO$&PQPO1G3lOOQQ1G3a1G3aO$&UQPO1G3aO$&ZQPO1G3aOOQQ1G3h1G3hOOQQ1G3o1G3oO$&`QPO1G2}O$&eQPO1G3YOOQQG27WG27WO$'OQRO<<MbO$'VQPO<<MbO$'[QPO<<MbO$'xQRO<<MbO$(PQRO<<MbO$(WQRO<<MbO$(iQPO!$(#^OOQO!$(#^!$(#^O$)^QRO!$(#^O$)^QRO!$(#^O$)iQRO!$(#^O$)wQRO!$(#^O$*YQRO<<MSO$*nQPO<<MSO$*sQPO<<MSO$*{QRO!$(#^O$+VQPO7+(aO$+[QPO7+(aO$+aQPO7+(aOOQQ7+(j7+(jO$+fQPO7+(jO$+kQPO7+(iO$+uQPO7+)WOOQQ7+)W7+)WO$+zQPO7+({O$,PQPO7+({O$,UQPO7+(iO$,]QPO7+(tO$-SQROANB|O$-ZQROANB|O$-bQROANB|O$-sQROANB|O$.[QPOANB|OOQQANB|ANB|O$-eQROANB|O$.aQPO!)9FxOOQO!)9Fx!)9FxO$/UQRO!)9FxO$/UQRO!)9FxO$/aQRO!)9FxO$0QQROANBnO$0XQROANBnO$0`QROANBnO$0nQROANBnO$1SQPOANBnO$1XQRO!)9FxOOQQ<<K{<<K{O$1jQPO<<K{O$1oQPO<<K{OOQQ<<LU<<LUO$1tQPO<<LrOOQQ<<Lg<<LgO$1yQPO'#HSOOQQG28hG28hO$2UQROG28hO$2dQROG28hO$2uQROG28hO$3eQROG28hO$3lQROG28hO$3sQPO!.K<dOOQO!.K<d!.K<dO$4hQRO!.K<dO$4hQRO!.K<dOOQQG28YG28YO$4sQROG28YO$5OQROG28YO$5oQROG28YO$5vQROG28YO$5}QROG28YO$6cQRO!.K<dOOQQANAgANAgO$6qQPOANAgOOQQANB^ANB^OOQQLD.SLD.SO$6vQROLD.SO$7UQROLD.SO$7gQROLD.SO$7qQROLD.SO$8YQPO!4/2OOOQO!4/2O!4/2OO$8}QRO!4/2OOOQQLD-tLD-tO$9YQROLD-tO$9eQROLD-tO$:UQROLD-tO$:]QROLD-tO$8}QRO!4/2OOOQQG27RG27ROOQQ!$(#n!$(#nO$:dQRO!$(#nO$:rQRO!$(#nO$;TQRO!$(#nO$;_QPO!9A'jOOQO!9A'j!9A'jOOQQ!$(#`!$(#`O$<SQRO!$(#`O$<_QRO!$(#`O$<mQRO!$(#`O$=RQRO!9A'jOOQQ!)9GY!)9GYO$=^QRO!)9GYO$=lQRO!)9GYOOQQ!)9Fz!)9FzO$=}QRO!)9FzO$>YQRO!)9FzO$>hQPO!?$KUOOQO!?$KU!?$KUOOQQ!.K<t!.K<tO$?]QRO!.K<tOOQQ!.K<f!.K<fO$?kQRO!.K<fOOQQ!4/2`!4/2`OOQQ!4/2Q!4/2Q",
  stateData: "$?v~O'QOS~OPRO$vSO$wTO$xPO$yQO$zUO$|XO'UZO~OP_OR_OS_OT_OU_OV_OW_OX_OY_OZ_O[_O]_O^_O__O`_Oa_Ob_Oc_Od_Oe_Of_Og_Oh_Oi_Oj_Ok_Ol_Om_On_Oo_Op_Oq_Or_Os_Ot_Ou_Ov_Ow_Ox_Oy_Oz_O{_O|_O}_O!O_O!P_O!Q_O!R_O!S_O!T_O!U_O!V_O!W_O!X_O!Y_O!Z_O![_O!]_O!^_O!__O!`_O!a_O!b_O!c_O!d_O!e_O!f_O!g_O!h_O!i_O!j_O!k_O!l_O!m_O!n_O!o_O!p_O!q_O!r_O!s_O!t_O!u_O!v_O!w_O!x_O!y_O!z_O!{_O!|_O!}_O#O_O#P_O#Q_O#R_O#S_O#T_O#U_O#V_O#W_O#X_O#Y_O#Z_O#[_O#]_O#^_O#__O#`_O#a_O#b_O#c_O#d_O#e_O#f_O#g_O#h_O#i_O#j_O#k_O#l_O#m_O#n_O#o_O#p_O#q_O#r_O#s_O#t_O#u_O#v_O#w_O#x_O#y_O#z_O#{_O#|_O#}_O$O_O$P_O$Q_O$R_O$S_O$T_O$U_O$V_O$W_O$X_O$Y_O$Z_O$[_O$]_O$^_O$__O$`_O$a_O$b_O$c_O$d_O$e_O$f_O$g_O$h_O$i_O$j_O$k_O$l_O$m_O$n_O$o_O$p_O$q_O$r_O$s_O$t_O$u_O$v_O$w_O$x_O$y_O$z_O${_O$|_O$}_O%O_O%P_O%W`O%X`O~OQ^O'O%VP'S%VP~PqOP_OQ_OR_OS_OT_OU_OV_OW_OX_OY_OZ_O[_O]_O^_O__O`_Oa_Ob_Oc_Od_Oe_Of_Og_Oh_Oi_Oj_Ok_Ol_Om_On_Oo_Op_Oq_Or_Os_Ot_Ou_Ov_Ow_Ox_Oy_Oz_O{_O|_O}_O!O_O!P_O!Q_O!R_O!S_O!T_O!U_O!V_O!W_O!X_O!Y_O!Z_O![_O!]_O!^_O!__O!`_O!a_O!b_O!c_O!d_O!e_O!f_O!g_O!h_O!i_O!j_O!k_O!l_O!m_O!n_O!o_O!p_O!q_O!r_O!s_O!t_O!u_O!v_O!w_O!x_O!y_O!z_O!{_O!|_O!}_O#O_O#P_O#Q_O#R_O#S_O#T_O#U_O#V_O#W_O#X_O#Y_O#Z_O#[_O#]_O#^_O#__O#`_O#a_O#b_O#c_O#d_O#e_O#f_O#g_O#h_O#i_O#j_O#k_O#l_O#m_O#n_O#o_O#p_O#q_O#r_O#s_O#t_O#u_O#v_O#w_O#x_O#y_O#z_O#{_O#|_O#}_O$O_O$P_O$Q_O$R_O$S_O$T_O$U_O$V_O$W_O$X_O$Y_O$Z_O$[_O$]_O$^_O$__O$`_O$a_O$b_O$c_O$d_O$e_O$f_O$g_O$h_O$i_O$j_O$k_O$l_O$m_O$n_O$o_O$p_O$q_O$r_O$s_O$t_O$u_O$v_O$w_O$x_O$y_O$z_O${_O$|_O$}_O%O_O%P_O~O%WcO%XcO~P.WOVgOWfO%OeO~O$riO%OhO~O%OjO~O%OkO~OPlO$vSO$wTO$zUO${pO~O%WqO%XqO~P.WO'OtO'SrO~O%UvOP%YXQ%YXR%YXS%YXT%YXU%YXV%YXW%YXX%YXY%YXZ%YX[%YX]%YX^%YX_%YX`%YXa%YXb%YXc%YXd%YXe%YXf%YXg%YXh%YXi%YXj%YXk%YXl%YXm%YXn%YXo%YXp%YXq%YXr%YXs%YXt%YXu%YXv%YXw%YXx%YXy%YXz%YX{%YX|%YX}%YX!O%YX!P%YX!Q%YX!R%YX!S%YX!T%YX!U%YX!V%YX!W%YX!X%YX!Y%YX!Z%YX![%YX!]%YX!^%YX!_%YX!`%YX!a%YX!b%YX!c%YX!d%YX!e%YX!f%YX!g%YX!h%YX!i%YX!j%YX!k%YX!l%YX!m%YX!n%YX!o%YX!p%YX!q%YX!r%YX!s%YX!t%YX!u%YX!v%YX!w%YX!x%YX!y%YX!z%YX!{%YX!|%YX!}%YX#O%YX#P%YX#Q%YX#R%YX#S%YX#T%YX#U%YX#V%YX#W%YX#X%YX#Y%YX#Z%YX#[%YX#]%YX#^%YX#_%YX#`%YX#a%YX#b%YX#c%YX#d%YX#e%YX#f%YX#g%YX#h%YX#i%YX#j%YX#k%YX#l%YX#m%YX#n%YX#o%YX#p%YX#q%YX#r%YX#s%YX#t%YX#u%YX#v%YX#w%YX#x%YX#y%YX#z%YX#{%YX#|%YX#}%YX$O%YX$P%YX$Q%YX$R%YX$S%YX$T%YX$U%YX$V%YX$W%YX$X%YX$Y%YX$Z%YX$[%YX$]%YX$^%YX$_%YX$`%YX$a%YX$b%YX$c%YX$d%YX$e%YX$f%YX$g%YX$h%YX$i%YX$j%YX$k%YX$l%YX$m%YX$n%YX$o%YX$p%YX$q%YX$r%YX$s%YX$t%YX$u%YX$v%YX$w%YX$x%YX$y%YX$z%YX${%YX$|%YX$}%YX%O%YX%P%YX%W%YX%X%YX'O%YX'S%YX~OQ_O'O%VX'S%VX~PqO'OzO'SrO~O'O}O'SrO'T|O~O_!ROa!^Oc!PO!q!TO#e!YO#h!ZO#i![O#k!`O#l!jO#t!bO$U!gO$X!hO$Y!iO$`!kO$e!kO$g!rO$l!tO$q!uO~OT!yOV!{O[!zO~PIPO%O!|O~Oi!}O~O$r#PO~PIPO%W#QO%X#QO~P.WO%W#SO%X#SO~P.WO#e#UO~O%O#VO~OPlO$vSO$wTO${#XO~O'O#ZO'SrO~OY#[O#W#[O~O'SrOP&oa$v&oa$w&oa$x&oa$y&oa$z&oa$|&oa&}&oa'U&oa~O%U#^O'R#_O'O%TX'S%TX~O'SrOP%Ri$v%Ri$w%Ri$x%Ri$y%Ri$z%Ri$|%Ri&}%Ri'U%Ri~O'SrOP%Zi$v%Zi$w%Zi$x%Zi$y%Zi$z%Zi$|%Zi&}%Zi'U%Zi~O%W#SO%X#SO'O%]X'S%]X~P.WO'O#bO'SrO~Od#cOe#cOf#cOg#cOh#cOi#cOj#dOk#dOl#dOm#dOn#dOp#fOq#gOx#jO!T#pO!U#pO!V#pO!W#pO!X#pO!Y#pO!Z#pO![#pO!]#pO!^#pO!j#rO~Oo#eOr#hOs#hOt#hOu#hOv#hOw#hOy#iOz#kO{#kO|#lO}#mO!O#mO!P#mO!Q#nO!R#mO!S#oO!_#qO!`#sO!a#tO!b#tO!c#tO!d#tO!e#tO!f#tO!g#tO!h#tO!i#uO!k#uO!l#uO!m#uO~P! TO`#vO~Ob#yO$t#wO'O%`X'S%`X~O!s#{O~Ob#yO$t#wO'O%eX'S%eX~Ob#yO$t#wO'O%iX'S%iX~O#f$OO$m$PO~O#g$QO~Of$SO#j$RO$m$PO%P$TO~O!s$UO~Ob#yO$t#wO'O%mX'S%mX~Ob$WO~Ob#yO$t#wO'O%qX'S%qX~O#l$YO#u$ZO#v$ZO#w$ZO#x$YO#y$YO#z$YO$e$YO~Ob#yO$t#wO'O%tX'S%tX~Ob#yO$t#wO'O%xX'S%xX~Ob#yO$t#wO'O%{X'S%{X~O$V$_O$W$`O~O$Z$aO~O$]$bO$_$cO~Of$SO~Ob#yO$t#wO'O&OX'S&OX~Ob#yO$t#wO'O&SX'S&SX~Ob#yO$t#wO'O&VX'S&VX~Ob#yO$t#wO'O&ZX'S&ZX~O!s$hO~Ob#yO$t#wO'O&^X'S&^X~O$r$PO~Ob#yO$t#wO'O&`X'S&`X~Ob#yO$t#wO'O&cX'S&cX~O'O$mO'SrO~OU$pOV$pOX$oO!s$pO%X$nO~O]$rO%X$qO~Oi$sO~OT$tO~O$u$uO~O'O$wO'SrO~O%W#QO%X#QO'O$}O'S$yO~P.WO%W#SO%X#SO'O%SO'S%OO~P.WO'O%VO'SrO~O'SrOP&li$v&li$w&li$x&li$y&li$z&li$|&li&}&li'U&li~O%U%XO'R%YO'O%Ta'S%Ta~O%U%ZO'R%YO'O%Ta'S%Ta~O%W#SO%X#SO'O%]a'S%]a~P.WO'SrOP%Zq$v%Zq$w%Zq$x%Zq$y%Zq$z%Zq$|%Zq&}%Zq'U%Zq~O%X%[O~O%X%]O~O%X%^O~O%X%_O~O%X%`O~O%X%aO~O%X%bO~O%X%cO~O%X%dO~O%X%eOb&Ra$t&Ra'O&Ra'S&Ra~O%X%eO~O%X%fO~O%X%gO~O%X%hO~O%X%iO~O%X%jO~O%X%kO~O%X%lO~O%X%mO~O%X%nO~OP_OQ_OR_OS_OT_OU_OV_OW_OX_OY_OZ_O[_O]_O^_O__O`_Oa_Ob_Oc_Od_Oe_Of_Og_Oh_Oi_Oj_Ok_Ol_Om_On_Oo_Op_Oq_Or_Os_Ot_Ou_Ov_Ow_Ox_Oy_Oz_O{_O|_O}_O!O_O!P_O!Q_O!R_O!S_O!T_O!U_O!V_O!W_O!X_O!Y_O!Z_O![_O!]_O!^_O!__O!`_O!a_O!b_O!c_O!d_O!e_O!f_O!g_O!h_O!i_O!j_O!k_O!l_O!m_O!n_O!o_O!p_O!q_O!r_O!s_O!t_O!u_O!v_O!w_O!x_O!y_O!z_O!{_O!|_O!}_O#O_O#P_O#Q_O#R_O#S_O#T_O#U_O#V_O#W_O#X_O#Y_O#Z_O#[_O#]_O#^_O#__O#`_O#a_O#b_O#c_O#d_O#e_O#f_O#g_O#h_O#i_O#j_O#k_O#l_O#m_O#n_O#o_O#p_O#q_O#r_O#s_O#t_O#u_O#v_O#w_O#x_O#y_O#z_O#{_O#|_O#}_O$O_O$P_O$Q_O$R_O$S_O$T_O$U_O$V_O$W_O$X_O$Y_O$Z_O$[_O$]_O$^_O$__O$`_O$a_O$b_O$d_O$e_O$f_O$g_O$h_O$i_O$j_O$k_O$l_O$m_O$n_O$o_O$p_O$q_O$r_O$s_O$t_O$u_O$v_O$w_O$x_O$y_O$z_O${_O$|_O$}_O%O_O%P_O~O$c%oO%W%pO%X%pO~P!2pO$t#wO~Ob#yO$t#wO'O%`a'S%`a~Om%vO!g%sO!w%tO!x%sO!y%sO!z%uO#Q%wO#V%xO~Ob#yO$t#wO'O%ea'S%ea~Ob#yO$t#wO'O%ia'S%ia~O#g%yO~O$n%zO~O#f%{O~O!j%|O$p%}O~O%X&OO~Ob#yO$t#wO'O%ma'S%ma~O#l&PO#m&PO#n&PO#o&PO#q&PO#r&PO#s&PO$e&PO~Ob#yO$t#wO'O%qa'S%qa~O#l&QO#x&QO#y&QO#z&QO$e&QO~Ob#yO$t#wO'O%ta'S%ta~Ob#yO$t#wO'O%xa'S%xa~Ob#yO$t#wO'O%{a'S%{a~O!O&RO~O$V&SO~O$[&RO~O$^&RO~Of&RO~Ob#yO$t#wO'O&Oa'S&Oa~Ob#yO$t#wO'O&Sa'S&Sa~Ob#yO$t#wO'O&Va'S&Va~Ob#yO$t#wO'O&Za'S&Za~O$h&TO~Ob#yO$t#wO'O&^a'S&^a~Ob#yO$t#wO'O&`a'S&`a~Ob#yO$t#wO'O&ca'S&ca~O'SrOP%_q$v%_q$w%_q$x%_q$y%_q$z%_q$|%_q&}%_q'U%_q${%_q$}%_q~OY&[OZ&ZOb&VO#W&[O%X&YO'O&XO'SrO~O%X&]O~OX&^O%X&]O~O'O&bO'SrO~O^&cO~O$u&dO~OU&eOV&eOX&^O!s&eO%X&]O~O'SrOP&fq$v&fq$w&fq$x&fq$y&fq$z&fq$|&fq&}&fq'U&fq${&fq$}&fq~O%W#QO%X#QO'O&iO'S$yO~P.WOP&rX$v&rX$w&rX$x&rX$y&rX$z&rX$|&rX&}&rX'S&rX'U&rX${&rX$}&rX~Ob&jO~P!JOO'SrOP&gq$v&gq$w&gq$x&gq$y&gq$z&gq$|&gq&}&gq'U&gq${&gq$}&gq~O'O&iO'S$yO~Ob&mO~P!JOO'SrOP&kq$v&kq$w&kq$x&kq$y&kq$z&kq$|&kq&}&kq'U&kq${&kq$}&kq~O'O&pO'S%OO~O%W#SO%X#SO'O&rO'SrO~P.WO'SrOP&lq$v&lq$w&lq$x&lq$y&lq$z&lq$|&lq&}&lq'U&lq~O%W#QO%X#QO'SrO~P.WO%U&tO'O%Ti'S%Ti~O%U&tO'R&uO'O%Ti'S%Ti~Ob&vO~Ob&wO~Ob&xO~Ob&yO~Ob&zO~Ob&{O~Ob&|O~Ob&}O~Ob'OO~Ob'PO~Ob'QO~Ob'RO~Ob'SO~Ob'TO~Ob'UO~Ob'VO~Ob'WO~Ob'XO~Ob'YO~O%X'ZO$c%YX~O$c'[O~Om'_O!g']O!x']O!y']O!z'^O~O!{'`O~O!}'aO~Oi']O!y']O#R']O#S']O#T'bO~O!}'cO#X']O#Y']O~O$o'dO~Oq'eO~O!j'dO~Ob'fO~O!O'gO~O$i'hO~Ob'iO'SrOP&hy$v&hy$w&hy$x&hy$y&hy$z&hy$|&hy&}&hy'U&hy~O%O'jO~Ob&VO'O'mO'SrO~OY'qOZ'pOb&VO#W'qO'O'mO'SrO~O%X'oO~P#&^O%X'rO~P#&^OZ'pOb&VO%X'oO'O'mO'SrO~OY'qOZ'sOb&VO#W'qO%X'rO'O'mO'SrO~O%X'tO~Ob'uO'SrOP&iy$v&iy$w&iy$x&iy$y&iy$z&iy$|&iy&}&iy'U&iy~O'O'xO'SrO~O%X'yO~OX'{O%X'tO~O%W#SO%X#SO'O'xO'SrO~P.WO'SrOP&gy$v&gy$w&gy$x&gy$y&gy$z&gy$|&gy&}&gy'U&gy${&gy$}&gy~O'O(OO'S$yO~Ob&jO%O(QO~O%O(SO~O'SrOP&ky$v&ky$w&ky$x&ky$y&ky$z&ky$|&ky&}&ky'U&ky${&ky$}&ky~O'SrOP&my$v&my$w&my$z&my${&my~OPlO$vSO$wTO$}(VO'SrO~O%U(WO'O%Tq'S%Tq~Oc([O!n(XO!q(YO!v(ZO~Oc(^O!q!TO~O!q(aO#Z(`O#^(bO#_(cO#e(dO#h!ZO#i(gO~Oc(eO#k!`O~P#-YO!q(aO#Z(`O#^(bO#_(cO#e(jO~Oc(kO~P#-{O#e(lO#h!ZO#i(gO~Oc(mO#k!`O~Oc(nO!q(qO#e!tO#i(sO#k!`O#t!bO$b(pO$e(qO$l!tO$q!uO~Oc(uO#t!bO~Oc(wO#{(vO~Oc(}O#e(zO#l({O#}(yO$T(|O~Oc)QO#e)PO#i(sO#l({O#}(yO$T(|O$l!tO$q!uO~Oc)RO!n)SO#e(zO#l({O#}(yO$T(|O~O#l!jO$U!gO$X!hO$Y!iO$`!kO$e!kO~Oc)UO#i!kO~P#1]O#i)WO~Oc)YO!q(qO$b(pO$e(qO~O!n)ZO~Oc)]O#e!tO#i(sO$l!tO$q!uO~Oc)^O!n)SO~Oc)_O!q!TO#e(lO#h!ZO#i)cO#t!bO~P#1]O%X)hO~O!{)iO~O!})jO~O!|)kO~O#O)lO~O#U)kO~O#W)mO~Oc)nO#e(lO#h!ZO#i(gO~O#W)oO~O%O)pO~OT)qO~Ob'iO'SrOP&h!R$v&h!R$w&h!R$x&h!R$y&h!R$z&h!R$|&h!R&}&h!R'U&h!R~Ob&VO'O)tO'SrO~Ob&VO%X)vO'O)tO'SrO~OZ)wOb&VO%X)vO'O)tO'SrO~OY)xO#W)xO~P#6WOY)xOb&VO#W)xO%X)yO'O)tO'SrO~OZ)wO~P#6sOZ)zO~P#6sO%O){O~Ob'uO'SrOP&i!R$v&i!R$w&i!R$x&i!R$y&i!R$z&i!R$|&i!R&}&i!R'U&i!R~O'O*PO'SrO~O%W#SO%X#SO'O*PO'SrO~P.WO%X*QO~O'SrOP&g!R$v&g!R$w&g!R$x&g!R$y&g!R$z&g!R$|&g!R&}&g!R'U&g!R${&g!R$}&g!R~O$r*RO~Ob&jO~Ob&mO~OPlO$vSO$wTO$}*TO~O'O*VO'SrO~O!o*WO~O!s*XO~O!s*YO~Od#cOe#cOf#cOg#cOh#cOi#cO~Oj#dOk#dOl#dOm#dOn#dO~Ob*ZO~O!r*[O#]*]O~O#W*^O~O#`*[O~O!r*_O#f$OO~Or#hOs#hOt#hOu#hOv#hOw#hOy#hO~Oo*`Op#fO~P#<dO#j$RO~O!r*_O~Oo#fOp#fO~Oo#hO~P#<dO!Q#tO!a#tO!b#tO!c#tO!d#tO!e#tO!f#tO!g#tO!h#tO~Oo#hOr#hOs#hOt#hOu#hOv#hOw#hOx#jOy#iO!j#rO~P#=pOy*aO~O!j*bO~Ox#jOy#jO~O#|*cO~Oz#kO{#kO~O|*fO$O*dO$P*eO~O|*gO~O$P*hO~O!S*iO~O|#mO}#mO!O#mO!P#mO!R#mO!S#mO~O!Q#mO~P#@^O|*gO$m$PO~Oy#tO!Q#nO!a#tO!b#tO!c#tO!d#tO!e#tO!f#tO!g#tO!h#tO~P#@^O|#mO}#mO!O#mO!P#mO!Q#mO!R#mO!S#oO!i#uO!k#uO!l#uO!m#uO~O$s*jO~O|$SO!T#pO!U#pO!V#pO!W#pO!X#pO!Y#pO!Z#pO![#pO!]#pO!^#pO~O$a*kO~Oy#rO!j#rO~O#W*lO~Oy#tO~P#=pO!S#uO!i#uO!k#uO!l#uO!m#uO~Oo*mOy*nO|$SO~P! TOf$SO#j$RO~O!|*oO~O#O*pO~O#P*oO~Om*oO~Oo#gOq#gO~O$j*qO$k*qO~OT*rO~OU*uOV*uOX*tO%X*sO~Ob'iO'SrO~Ob'iO'SrOP&h!Z$v&h!Z$w&h!Z$x&h!Z$y&h!Z$z&h!Z$|&h!Z&}&h!Z'U&h!Z~Ob&VO'O*wO'SrO~Ob&VO%X*yO'O*wO'SrO~OZ*zOb&VO%X*yO'O*wO'SrO~OY*{O#W*{O~P#GfOY*{Ob&VO#W*{O%X*|O'O*wO'SrO~OZ*zO~P#HROT*}O~Ob'uO'SrO~Ob'uO'SrOP&i!Z$v&i!Z$w&i!Z$x&i!Z$y&i!Z$z&i!Z$|&i!Z&}&i!Z'U&i!Z~O'O+PO'SrO~OZ+QO~P#HRO%W#SO%X#SO'O&zq'S&zq~P.WO'O+TO'SrO~O'SrOP&n!Z$v&n!Z$w&n!Z$x&n!Z$y&n!Z$z&n!Z$|&n!Z&}&n!Z'U&n!Z~Od+UO~Of+VO~Oh+WO~O#[+XO~Op+XO~O!r+YO~O!r+XO~O#a+XO#b+ZO~O%X+[O~O$c+]O~O$S+^O~O!Q+_O~O$Q+_O~O#p+_O~Oe+_O~O$R+`O~O`+aO~O$Q+bO~O$f+cO~O%X+dO~O%X+eO~O#P+fO~OU+iOV+iOX+hO%X+gO~OY+lOZ+kO#W+lO%X+jOb&xq'O&xq'S&xq~Ob'iO'SrOP&h!c$v&h!c$w&h!c$x&h!c$y&h!c$z&h!c$|&h!c&}&h!c'U&h!c~Ob&VO'O+nO'SrO~Ob&VO%X+pO'O+nO'SrO~OZ+qOb&VO%X+pO'O+nO'SrO~OY+rO#W+rO~P$ uOU+uOV+uOX+tO%X+sO~Ob'uO'SrOP&i!c$v&i!c$w&i!c$x&i!c$y&i!c$z&i!c$|&i!c&}&i!c'U&i!c~OY+rOZ+qOb&VO#W+rO%X+vO'O+nO'SrO~O%W#QO%X#QO'O&vy'S&vy~P.WO'SrOP&n!c$v&n!c$w&n!c$x&n!c$y&n!c$z&n!c$|&n!c&}&n!c'U&n!c~O!p+wOb%ci$t%ci'O%ci'S%ci~O!t+xO~O#W+yO~Op+zO~O#c+{O~Ob+|O~O!j+}O~O$d,OO~O$S,PO~O$P,QO~Ob,RO~Ob,SO~OY,VO#W,VO%X,TOb&xy'O&xy'S&xy~OZ,UO~P$&jO%X,WO~OX,XO%X,WO~OY,VOZ,ZO#W,VOb&xy'O&xy'S&xy~O%X,YO~P$'dOZ,ZO~P$&jOZ,ZO%X,YOb&xy'O&xy'S&xy~Ob'iO'SrOP&h!k$v&h!k$w&h!k$x&h!k$y&h!k$z&h!k$|&h!k&}&h!k'U&h!k~Ob&VO'O,]O'SrO~Ob&VO%X,_O'O,]O'SrO~OZ,`Ob&VO%X,_O'O,]O'SrO~OY,cOZ,bO#W,cO%X,aO'O&jy'S&jy~O%X,dO~OX,eO%X,dO~OY,fO#W,fO~P$)wOe,gO~O!s,hO~O!s,iO~O#d,jO~Oc(eO#k!`O~P#-{O#W,kO~O!Q,lO~O$R,lO~Oc(kO~P#-YOc,mO!q(qO#t!bO$b(pO$e(qO~OY,pOZ,oO#W,pOb&x!R'O&x!R'S&x!R~O%X,nO~P$,nO%X,qO~P$,nOZ,oO%X,nOb&x!R'O&x!R'S&x!R~OY,pOZ,rO#W,pO%X,qOb&x!R'O&x!R'S&x!R~O%X,sO~Ob'iO'SrOP&h!s$v&h!s$w&h!s$x&h!s$y&h!s$z&h!s$|&h!s&}&h!s'U&h!s~Ob&VO'O,uO'SrO~Ob&VO%X,wO'O,uO'SrO~OY,zOZ,yO#W,zO'O&j!R'S&j!R~O%X,xO~P$/oO%X,{O~P$/oOZ,yO%X,xO'O&j!R'S&j!R~OY,zOZ,|O#W,zO%X,{O'O&j!R'S&j!R~O%X,}O~OZ-OOb&VO%X,wO'O,uO'SrO~Og-PO~O!u-QO~O$d-RO~Ox#jOy*nO!j#rO~O%X-SOb&x!Z'O&x!Z'S&x!Z~OZ-TO%X-SOb&x!Z'O&x!Z'S&x!Z~OY-UO#W-UO~P$2dOY-UO#W-UO%X-VOb&x!Z'O&x!Z'S&x!Z~OZ-TO~P$3POZ-WO~P$3POb'iO'SrOP&h!{$v&h!{$w&h!{$x&h!{$y&h!{$z&h!{$|&h!{&}&h!{'U&h!{~Ob&VO'O-YO'SrO~O%X-[O'O&j!Z'S&j!Z~OZ-]O%X-[O'O&j!Z'S&j!Z~OY-^OZ-]O#W-^O'O&j!Z'S&j!Z~O%X-[O~P$5^O%X-_O~P$5^OY-^OZ-`O#W-^O%X-_O'O&j!Z'S&j!Z~Ob&VO%X-aO'O-YO'SrO~Og-bO~O%X-cOb&x!c'O&x!c'S&x!c~OZ-dO%X-cOb&x!c'O&x!c'S&x!c~OY-eO#W-eO~P$7UOY-eOZ-dO#W-eO%X-fOb&x!c'O&x!c'S&x!c~Ob'iO'SrOP&h#T$v&h#T$w&h#T$x&h#T$y&h#T$z&h#T$|&h#T&}&h#T'U&h#T~Ob&VO'O-hO'SrO~O%X-iO'O&j!c'S&j!c~OZ-jO%X-iO'O&j!c'S&j!c~OY-kOZ-jO#W-kO'O&j!c'S&j!c~O%X-iO~P$9sO%X-lO~P$9sO%X-nOb&x!k'O&x!k'S&x!k~OZ-oO%X-nOb&x!k'O&x!k'S&x!k~OY-pO#W-pO~P$:rOb'iO'SrOP&h#]$v&h#]$w&h#]$x&h#]$y&h#]$z&h#]$|&h#]&}&h#]'U&h#]~O%X-qO'O&j!k'S&j!k~OZ-rO%X-qO'O&j!k'S&j!k~OY-sOZ-rO#W-sO%X-qO'O&j!k'S&j!k~Ob&VO'O-uO'SrO~O%X-vOb&x!s'O&x!s'S&x!s~OZ-wO%X-vOb&x!s'O&x!s'S&x!s~O%X-xO'O&j!s'S&j!s~OZ-yO%X-xO'O&j!s'S&j!s~Ob'iO'SrOP&h#e$v&h#e$w&h#e$x&h#e$y&h#e$z&h#e$|&h#e&}&h#e'U&h#e~O%X-zOb&x!{'O&x!{'S&x!{~O%X-{O'O&j!{'S&j!{~O",
  goto: "6|&}PPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP'O'S'VP'SPP'Y'O(P(S'O(V(a(h(m(x({(a)p)u)u(a*Q*V*e(a*k*p*y(a+X+X(a+d+i+i(a+v+{(a,O,T(a,Y,_,_(a,j,o(a,r,w-U(a-Z-`(a-c(a-h-h(a-r-w(V(V-{-{.P(V-{.Y-{'O._.e.k2U2p4Q4d4n4u6U6e6k6rT[O]RbPRw^S`PaQcQQqX`#Qi#P#R#[$x%W*R+Rh#Sj|#T#U#`$u%T&d&f'z(S*SR%p#wRdQR!OdSYO]XnWo&s(US!xe#VR#OhV!Seh#VU!Qeh#VQ(]&vR)`'YR(]&v!^#x!S!V!X!_!a!d!e!f!m!n!p!q!s!v!w#z#|#}$V$X$[$]$^$d$e$f$g$i$j$kR%q#yV!Veh#VU!Ueh#VQ(_&wR)a'YV!Xeh#VU!Weh#VW(f&x&y+|,RR)b'YX(f&x&y+|,RV!_eh#VU!]eh#VT)d'Y'fU!]eh#VU(h&x&z,RT)d'Y'fU!aeh#VX(i&x&{&|+|V!deh#VU!ceh#VU(o&|&},SR)e'YU!eeh#VR(x'OU!feh#VV)O'P'Q'RV!meh#VU!leh#VQ)V'SR)f'YV!neh#VR)X'TV!peh#VU!oeh#VU(r&|'U,SR)g'YV(r&|'U,SV!qeh#VR)['VV!seh#VU!veh#VV(t&|'Q'WU!weh#VT)T'R'XTYO]_&`$q&a&f'y'z'|*OVVOW]Q]ORu]QaPRxaQsZQybQ{dQ#Yp!d#]sy{#Y#a$l$v$z%P%U&U&_&g&n&q&s'k'v'})r)s)|)}*U*v+O+S+m,[,t-X-g-tQ#a!OQ$l!xQ$v#OQ$z#RQ%P#TQ%U#XQ&U$nQ&_$qS&g$x$|Q&n%RQ&q%TQ&s%WY'k&W&Y&Z&[&]S'v&a&fQ'}&h^)s'n'o'p'q'r's'tU)}'y'z'|Q*U(V^*v)u)v)w)x)y)z*QQ+O*OQ+S*T[+m*x*y*z*{*|+QY,[+o+p+q+r+vW,t,^,_,`,fU-X,v,w-OS-g-Z-aR-t-mQ#TjQ#`|[%Q#T#`%T&f'z*SQ%T#UQ&f$uQ'z&dR*S(SQ#z!SQ#|!VQ#}!XQ$V!_Q$X!aQ$[!dQ$]!eQ$^!fQ$d!mQ$e!nQ$f!pQ$g!qQ$i!sQ$j!vQ$k!wo%r#z#|#}$V$X$[$]$^$d$e$f$g$i$j$kQ#RiQ$x#PW${#R$x%W+RQ%W#[R+R*RQ$|#RQ&h$xT&l$|&hS&k$y(RR(P&kQ&W$nb'l&W'n)u*x+o,^,v-Z-mW'n&Y&Z&[&][)u'o'p'q'r's't[*x)v)w)x)y)z*QY+o*y*z*{*|+QW,^+p+q+r+vU,v,_,`,fS-Z,w-OR-m-aQ&a$qU'w&a'|*OQ'|&fT*O'y'zQ%R#TR&o%RSWO]RmWQoWS#Wo(UR(U&s",
  nodeNames: "⚠ given version unknown ignore have a my that valid inside named am known as connect to open and send statement parameters record table variable name address transaction_id addresses transaction sc path content commit paths array values value sources properties headers object json_data json_schema request server_data client expires_in token request_uri data my_credentials email list_parameters show_parameters create_parameters record_parameters update_parameters delete_parameters send_parameters url text command jwk holder fields verifier_url issued_vc disclosed nonce sk script key keys extra conf execute sql with read file the of database save ethereum bytes balance suggested gas price id after broadcast erc20 decimals symbol total supply erc721 in owner asset download extract verbatim store list directory exists does not exist verify git repository clone create new manipulate get set merge omit uri concat compact pick do sequential parallel same post put patch validate json generate access authorization code details from add start pb capacitor login ask password reset some records one update qr write into redis delete shell fetch local timestamp milliseconds seconds present vc sd jwt public pretty print zencode output is then when rule scenario if endif foreach endforeach I p256 Statement RuleStatement VersionRule VersionNumber Number GenericRule Identifier StringLiteral Keywords ScenarioStatement ScenarioType ScenarioComment SlangroomStatement GivenStatement DbStatement DbConnectAction DbSend DbAction SaveAction EthereumStatement EthereumConnectAction EthereumSend EthereumAction FsStatement FsConnectAction FsSend FsAction GitStatement GitOpenOrConnectAction GitSend GitAction HelpersStatement HelpersSend HelpersAction HttpStatement HttpConnectAction HttpSend HttpAction JsonSchemaStatement JsonSchemaSend JsonSchemaAction OAuthStatement OAuthSend OAuthAction PocketbaseStatement PocketbaseConnectAction PocketbaseSend PocketbaseAction QrCodeStatement QrCodeSend QrCodeAction RedisStatement RedisConnectAction RedisSend RedisAction ShellStatement ShellSend ShellAction TimestampStatement TimestampAction WalletStatement WalletSend WalletAction ZencodeStatement ZencodeSend ZencodeAction ThenStatement ThenPrint GivenHaveStatement GivenName HaveStatement WhenStatement IfEndifStatement Condition ForEachStatement Comment",
  maxTerm: 282,
  skippedNodes: [0],
  repeatNodeCount: 13,
  tokenData: "%a~R[XYwYZ|]^!Rpqwst!Xwx!p!O!P$d!Q![$i![!]$q!c!}$v#R#S$v#T#o$v~|O'Q~~!RO'S~~!UPYZ|~!^S'U~OY!XZ;'S!X;'S;=`!j<%lO!X~!mP;=`<%l!X~!sWOY!pZw!pwx#]x#O!p#O#P#b#P;'S!p;'S;=`$^<%lO!p~#bO%X~~#eRO;'S!p;'S;=`#n;=`O!p~#qXOY!pZw!pwx#]x#O!p#O#P#b#P;'S!p;'S;=`$^;=`<%l!p<%lO!p~$aP;=`<%l!p~$iO'R~~$nP%U~!Q![$i~$vO'T~~${S%W~!Q![%X!c!}$v#R#S$v#T#o$v~%^P%W~!Q![%X",
  tokenizers: [0, Eoftoken],
  topRules: {"Statement":[0,186]},
  specialized: [{term: 192, get: (value, stack) => (keywords(value) << 1), external: keywords}],
  tokenPrec: 0
});

const fullStatementTemplates = [
    {
        "label": "db given I connect to '' and send statement '' and execute sql statement",
        "displayLabel": "Given I connect to '' and send statement '' and execute sql statement",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send statement '' and execute sql statement",
        "displayLabel": "Then I connect to '' and send statement '' and execute sql statement",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send statement '' and execute sql statement and output into ''",
        "displayLabel": "Given I connect to '' and send statement '' and execute sql statement and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send statement '' and execute sql statement and output into ''",
        "displayLabel": "Then I connect to '' and send statement '' and execute sql statement and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters",
        "displayLabel": "Given I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters",
        "displayLabel": "Then I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters and output into ''",
        "displayLabel": "Given I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters and output into ''",
        "displayLabel": "Then I connect to '' and send statement '' and send parameters '' and execute sql statement with parameters and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send record '' and send table '' and read the record of the table",
        "displayLabel": "Given I connect to '' and send record '' and send table '' and read the record of the table",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send record '' and send table '' and read the record of the table",
        "displayLabel": "Then I connect to '' and send record '' and send table '' and read the record of the table",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send record '' and send table '' and read the record of the table and output into ''",
        "displayLabel": "Given I connect to '' and send record '' and send table '' and read the record of the table and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send record '' and send table '' and read the record of the table and output into ''",
        "displayLabel": "Then I connect to '' and send record '' and send table '' and read the record of the table and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table",
        "displayLabel": "Given I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table",
        "displayLabel": "Then I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db given I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table and output into ''",
        "displayLabel": "Given I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "db then I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table and output into ''",
        "displayLabel": "Then I connect to '' and send variable '' and send name '' and send table '' and save the variable in the database table and output into ''",
        "type": "keyword",
        "info": "[db]"
    },
    {
        "label": "ethereum given I connect to '' and send address '' and read the ethereum nonce",
        "displayLabel": "Given I connect to '' and send address '' and read the ethereum nonce",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send address '' and read the ethereum nonce",
        "displayLabel": "Then I connect to '' and send address '' and read the ethereum nonce",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send address '' and read the ethereum nonce and output into ''",
        "displayLabel": "Given I connect to '' and send address '' and read the ethereum nonce and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send address '' and read the ethereum nonce and output into ''",
        "displayLabel": "Then I connect to '' and send address '' and read the ethereum nonce and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction_id '' and read the ethereum bytes",
        "displayLabel": "Given I connect to '' and send transaction_id '' and read the ethereum bytes",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction_id '' and read the ethereum bytes",
        "displayLabel": "Then I connect to '' and send transaction_id '' and read the ethereum bytes",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction_id '' and read the ethereum bytes and output into ''",
        "displayLabel": "Given I connect to '' and send transaction_id '' and read the ethereum bytes and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction_id '' and read the ethereum bytes and output into ''",
        "displayLabel": "Then I connect to '' and send transaction_id '' and read the ethereum bytes and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send address '' and read the ethereum balance",
        "displayLabel": "Given I connect to '' and send address '' and read the ethereum balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send address '' and read the ethereum balance",
        "displayLabel": "Then I connect to '' and send address '' and read the ethereum balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send address '' and read the ethereum balance and output into ''",
        "displayLabel": "Given I connect to '' and send address '' and read the ethereum balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send address '' and read the ethereum balance and output into ''",
        "displayLabel": "Then I connect to '' and send address '' and read the ethereum balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send addresses '' and read the ethereum balance",
        "displayLabel": "Given I connect to '' and send addresses '' and read the ethereum balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send addresses '' and read the ethereum balance",
        "displayLabel": "Then I connect to '' and send addresses '' and read the ethereum balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send addresses '' and read the ethereum balance and output into ''",
        "displayLabel": "Given I connect to '' and send addresses '' and read the ethereum balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send addresses '' and read the ethereum balance and output into ''",
        "displayLabel": "Then I connect to '' and send addresses '' and read the ethereum balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the ethereum suggested gas price",
        "displayLabel": "Given I connect to '' and read the ethereum suggested gas price",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the ethereum suggested gas price",
        "displayLabel": "Then I connect to '' and read the ethereum suggested gas price",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the ethereum suggested gas price and output into ''",
        "displayLabel": "Given I connect to '' and read the ethereum suggested gas price and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the ethereum suggested gas price and output into ''",
        "displayLabel": "Then I connect to '' and read the ethereum suggested gas price and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction '' and read the ethereum transaction id after broadcast",
        "displayLabel": "Given I connect to '' and send transaction '' and read the ethereum transaction id after broadcast",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction '' and read the ethereum transaction id after broadcast",
        "displayLabel": "Then I connect to '' and send transaction '' and read the ethereum transaction id after broadcast",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction '' and read the ethereum transaction id after broadcast and output into ''",
        "displayLabel": "Given I connect to '' and send transaction '' and read the ethereum transaction id after broadcast and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction '' and read the ethereum transaction id after broadcast and output into ''",
        "displayLabel": "Then I connect to '' and send transaction '' and read the ethereum transaction id after broadcast and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 decimals",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 decimals",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 decimals",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 decimals",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 decimals and output into ''",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 decimals and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 decimals and output into ''",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 decimals and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 name",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 name",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 name",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 name",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 name and output into ''",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 name and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 name and output into ''",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 name and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 symbol",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 symbol",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 symbol",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 symbol",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 symbol and output into ''",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 symbol and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 symbol and output into ''",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 symbol and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and send address '' and read the erc20 balance",
        "displayLabel": "Given I connect to '' and send sc '' and send address '' and read the erc20 balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and send address '' and read the erc20 balance",
        "displayLabel": "Then I connect to '' and send sc '' and send address '' and read the erc20 balance",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and send address '' and read the erc20 balance and output into ''",
        "displayLabel": "Given I connect to '' and send sc '' and send address '' and read the erc20 balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and send address '' and read the erc20 balance and output into ''",
        "displayLabel": "Then I connect to '' and send sc '' and send address '' and read the erc20 balance and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 total supply",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 total supply",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 total supply",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 total supply",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send sc '' and read the erc20 total supply and output into ''",
        "displayLabel": "Given I connect to '' and send sc '' and read the erc20 total supply and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send sc '' and read the erc20 total supply and output into ''",
        "displayLabel": "Then I connect to '' and send sc '' and read the erc20 total supply and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction_id '' and read the erc721 id in transaction",
        "displayLabel": "Given I connect to '' and send transaction_id '' and read the erc721 id in transaction",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction_id '' and read the erc721 id in transaction",
        "displayLabel": "Then I connect to '' and send transaction_id '' and read the erc721 id in transaction",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and send transaction_id '' and read the erc721 id in transaction and output into ''",
        "displayLabel": "Given I connect to '' and send transaction_id '' and read the erc721 id in transaction and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and send transaction_id '' and read the erc721 id in transaction and output into ''",
        "displayLabel": "Then I connect to '' and send transaction_id '' and read the erc721 id in transaction and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the erc721 owner",
        "displayLabel": "Given I connect to '' and read the erc721 owner",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the erc721 owner",
        "displayLabel": "Then I connect to '' and read the erc721 owner",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the erc721 owner and output into ''",
        "displayLabel": "Given I connect to '' and read the erc721 owner and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the erc721 owner and output into ''",
        "displayLabel": "Then I connect to '' and read the erc721 owner and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the erc721 asset",
        "displayLabel": "Given I connect to '' and read the erc721 asset",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the erc721 asset",
        "displayLabel": "Then I connect to '' and read the erc721 asset",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum given I connect to '' and read the erc721 asset and output into ''",
        "displayLabel": "Given I connect to '' and read the erc721 asset and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "ethereum then I connect to '' and read the erc721 asset and output into ''",
        "displayLabel": "Then I connect to '' and read the erc721 asset and output into ''",
        "type": "keyword",
        "info": "[ethereum]"
    },
    {
        "label": "fs given I connect to '' and send path '' and download and extract",
        "displayLabel": "Given I connect to '' and send path '' and download and extract",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I connect to '' and send path '' and download and extract",
        "displayLabel": "Then I connect to '' and send path '' and download and extract",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I connect to '' and send path '' and download and extract and output into ''",
        "displayLabel": "Given I connect to '' and send path '' and download and extract and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I connect to '' and send path '' and download and extract and output into ''",
        "displayLabel": "Then I connect to '' and send path '' and download and extract and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and read file content",
        "displayLabel": "Given I send path '' and read file content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and read file content",
        "displayLabel": "Then I send path '' and read file content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and read file content and output into ''",
        "displayLabel": "Given I send path '' and read file content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and read file content and output into ''",
        "displayLabel": "Then I send path '' and read file content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and read verbatim file content",
        "displayLabel": "Given I send path '' and read verbatim file content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and read verbatim file content",
        "displayLabel": "Then I send path '' and read verbatim file content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and read verbatim file content and output into ''",
        "displayLabel": "Given I send path '' and read verbatim file content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and read verbatim file content and output into ''",
        "displayLabel": "Then I send path '' and read verbatim file content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send content '' and send path '' and store in file",
        "displayLabel": "Given I send content '' and send path '' and store in file",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send content '' and send path '' and store in file",
        "displayLabel": "Then I send content '' and send path '' and store in file",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send content '' and send path '' and store in file and output into ''",
        "displayLabel": "Given I send content '' and send path '' and store in file and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send content '' and send path '' and store in file and output into ''",
        "displayLabel": "Then I send content '' and send path '' and store in file and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and list directory content",
        "displayLabel": "Given I send path '' and list directory content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and list directory content",
        "displayLabel": "Then I send path '' and list directory content",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and list directory content and output into ''",
        "displayLabel": "Given I send path '' and list directory content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and list directory content and output into ''",
        "displayLabel": "Then I send path '' and list directory content and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and verify file exists",
        "displayLabel": "Given I send path '' and verify file exists",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and verify file exists",
        "displayLabel": "Then I send path '' and verify file exists",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and verify file exists and output into ''",
        "displayLabel": "Given I send path '' and verify file exists and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and verify file exists and output into ''",
        "displayLabel": "Then I send path '' and verify file exists and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and verify file does not exist",
        "displayLabel": "Given I send path '' and verify file does not exist",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and verify file does not exist",
        "displayLabel": "Then I send path '' and verify file does not exist",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs given I send path '' and verify file does not exist and output into ''",
        "displayLabel": "Given I send path '' and verify file does not exist and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "fs then I send path '' and verify file does not exist and output into ''",
        "displayLabel": "Then I send path '' and verify file does not exist and output into ''",
        "type": "keyword",
        "info": "[fs]"
    },
    {
        "label": "git given I open '' and verify git repository",
        "displayLabel": "Given I open '' and verify git repository",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I open '' and verify git repository",
        "displayLabel": "Then I open '' and verify git repository",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git given I open '' and verify git repository and output into ''",
        "displayLabel": "Given I open '' and verify git repository and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I open '' and verify git repository and output into ''",
        "displayLabel": "Then I open '' and verify git repository and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git given I connect to '' and send path '' and clone repository",
        "displayLabel": "Given I connect to '' and send path '' and clone repository",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I connect to '' and send path '' and clone repository",
        "displayLabel": "Then I connect to '' and send path '' and clone repository",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git given I connect to '' and send path '' and clone repository and output into ''",
        "displayLabel": "Given I connect to '' and send path '' and clone repository and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I connect to '' and send path '' and clone repository and output into ''",
        "displayLabel": "Then I connect to '' and send path '' and clone repository and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git given I open '' and send commit '' and create new git commit",
        "displayLabel": "Given I open '' and send commit '' and create new git commit",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I open '' and send commit '' and create new git commit",
        "displayLabel": "Then I open '' and send commit '' and create new git commit",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git given I open '' and send commit '' and create new git commit and output into ''",
        "displayLabel": "Given I open '' and send commit '' and create new git commit and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "git then I open '' and send commit '' and create new git commit and output into ''",
        "displayLabel": "Then I open '' and send commit '' and create new git commit and output into ''",
        "type": "keyword",
        "info": "[git]"
    },
    {
        "label": "helpers given I send object '' and send path '' and manipulate and get",
        "displayLabel": "Given I send object '' and send path '' and manipulate and get",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send path '' and manipulate and get",
        "displayLabel": "Then I send object '' and send path '' and manipulate and get",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send path '' and manipulate and get and output into ''",
        "displayLabel": "Given I send object '' and send path '' and manipulate and get and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send path '' and manipulate and get and output into ''",
        "displayLabel": "Then I send object '' and send path '' and manipulate and get and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send path '' and send value '' and manipulate and set",
        "displayLabel": "Given I send object '' and send path '' and send value '' and manipulate and set",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send path '' and send value '' and manipulate and set",
        "displayLabel": "Then I send object '' and send path '' and send value '' and manipulate and set",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send path '' and send value '' and manipulate and set and output into ''",
        "displayLabel": "Given I send object '' and send path '' and send value '' and manipulate and set and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send path '' and send value '' and manipulate and set and output into ''",
        "displayLabel": "Then I send object '' and send path '' and send value '' and manipulate and set and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send sources '' and manipulate and merge",
        "displayLabel": "Given I send object '' and send sources '' and manipulate and merge",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send sources '' and manipulate and merge",
        "displayLabel": "Then I send object '' and send sources '' and manipulate and merge",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send sources '' and manipulate and merge and output into ''",
        "displayLabel": "Given I send object '' and send sources '' and manipulate and merge and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send sources '' and manipulate and merge and output into ''",
        "displayLabel": "Then I send object '' and send sources '' and manipulate and merge and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send paths '' and manipulate and omit",
        "displayLabel": "Given I send object '' and send paths '' and manipulate and omit",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send paths '' and manipulate and omit",
        "displayLabel": "Then I send object '' and send paths '' and manipulate and omit",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send paths '' and manipulate and omit and output into ''",
        "displayLabel": "Given I send object '' and send paths '' and manipulate and omit and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send paths '' and manipulate and omit and output into ''",
        "displayLabel": "Then I send object '' and send paths '' and manipulate and omit and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send array '' and send values '' and manipulate and concat",
        "displayLabel": "Given I send array '' and send values '' and manipulate and concat",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send array '' and send values '' and manipulate and concat",
        "displayLabel": "Then I send array '' and send values '' and manipulate and concat",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send array '' and send values '' and manipulate and concat and output into ''",
        "displayLabel": "Given I send array '' and send values '' and manipulate and concat and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send array '' and send values '' and manipulate and concat and output into ''",
        "displayLabel": "Then I send array '' and send values '' and manipulate and concat and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send array '' and manipulate and compact",
        "displayLabel": "Given I send array '' and manipulate and compact",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send array '' and manipulate and compact",
        "displayLabel": "Then I send array '' and manipulate and compact",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send array '' and manipulate and compact and output into ''",
        "displayLabel": "Given I send array '' and manipulate and compact and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send array '' and manipulate and compact and output into ''",
        "displayLabel": "Then I send array '' and manipulate and compact and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send properties '' and manipulate and pick",
        "displayLabel": "Given I send object '' and send properties '' and manipulate and pick",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send properties '' and manipulate and pick",
        "displayLabel": "Then I send object '' and send properties '' and manipulate and pick",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I send object '' and send properties '' and manipulate and pick and output into ''",
        "displayLabel": "Given I send object '' and send properties '' and manipulate and pick and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I send object '' and send properties '' and manipulate and pick and output into ''",
        "displayLabel": "Then I send object '' and send properties '' and manipulate and pick and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I manipulate and delete",
        "displayLabel": "Given I manipulate and delete",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I manipulate and delete",
        "displayLabel": "Then I manipulate and delete",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers given I manipulate and delete and output into ''",
        "displayLabel": "Given I manipulate and delete and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "helpers then I manipulate and delete and output into ''",
        "displayLabel": "Then I manipulate and delete and output into ''",
        "type": "keyword",
        "info": "[helpers]"
    },
    {
        "label": "http given I connect to '' and do get",
        "displayLabel": "Given I connect to '' and do get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do get",
        "displayLabel": "Then I connect to '' and do get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do get and output into ''",
        "displayLabel": "Given I connect to '' and do get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do get and output into ''",
        "displayLabel": "Then I connect to '' and do get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do get",
        "displayLabel": "Given I connect to '' and send headers '' and do get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do get",
        "displayLabel": "Then I connect to '' and send headers '' and do get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do get and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do get and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential get",
        "displayLabel": "Given I connect to '' and do sequential get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential get",
        "displayLabel": "Then I connect to '' and do sequential get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential get and output into ''",
        "displayLabel": "Given I connect to '' and do sequential get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential get and output into ''",
        "displayLabel": "Then I connect to '' and do sequential get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential get",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential get",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential get and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential get and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel get",
        "displayLabel": "Given I connect to '' and do parallel get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel get",
        "displayLabel": "Then I connect to '' and do parallel get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel get and output into ''",
        "displayLabel": "Given I connect to '' and do parallel get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel get and output into ''",
        "displayLabel": "Then I connect to '' and do parallel get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel get",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel get",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel get and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel get and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same get",
        "displayLabel": "Given I connect to '' and do same get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same get",
        "displayLabel": "Then I connect to '' and do same get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same get and output into ''",
        "displayLabel": "Given I connect to '' and do same get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same get and output into ''",
        "displayLabel": "Then I connect to '' and do same get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same get",
        "displayLabel": "Given I connect to '' and send headers '' and do same get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same get",
        "displayLabel": "Then I connect to '' and send headers '' and do same get",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same get and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do same get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same get and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do same get and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do post",
        "displayLabel": "Given I connect to '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do post",
        "displayLabel": "Then I connect to '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do post and output into ''",
        "displayLabel": "Given I connect to '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do post and output into ''",
        "displayLabel": "Then I connect to '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do post",
        "displayLabel": "Given I connect to '' and send headers '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do post",
        "displayLabel": "Then I connect to '' and send headers '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do post and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do post and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do post",
        "displayLabel": "Given I connect to '' and send object '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do post",
        "displayLabel": "Then I connect to '' and send object '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do post",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do post",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential post",
        "displayLabel": "Given I connect to '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential post",
        "displayLabel": "Then I connect to '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential post and output into ''",
        "displayLabel": "Given I connect to '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential post and output into ''",
        "displayLabel": "Then I connect to '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential post",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential post",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential post and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential post and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential post",
        "displayLabel": "Given I connect to '' and send object '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential post",
        "displayLabel": "Then I connect to '' and send object '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential post",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential post",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel post",
        "displayLabel": "Given I connect to '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel post",
        "displayLabel": "Then I connect to '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel post and output into ''",
        "displayLabel": "Given I connect to '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel post and output into ''",
        "displayLabel": "Then I connect to '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel post",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel post",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel post and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel post and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel post",
        "displayLabel": "Given I connect to '' and send object '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel post",
        "displayLabel": "Then I connect to '' and send object '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel post",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel post",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same post",
        "displayLabel": "Given I connect to '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same post",
        "displayLabel": "Then I connect to '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same post and output into ''",
        "displayLabel": "Given I connect to '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same post and output into ''",
        "displayLabel": "Then I connect to '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same post",
        "displayLabel": "Given I connect to '' and send headers '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same post",
        "displayLabel": "Then I connect to '' and send headers '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same post and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same post and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same post",
        "displayLabel": "Given I connect to '' and send object '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same post",
        "displayLabel": "Then I connect to '' and send object '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same post",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same post",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same post",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same post and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same post and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same post and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do put",
        "displayLabel": "Given I connect to '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do put",
        "displayLabel": "Then I connect to '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do put and output into ''",
        "displayLabel": "Given I connect to '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do put and output into ''",
        "displayLabel": "Then I connect to '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do put",
        "displayLabel": "Given I connect to '' and send headers '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do put",
        "displayLabel": "Then I connect to '' and send headers '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do put and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do put and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do put",
        "displayLabel": "Given I connect to '' and send object '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do put",
        "displayLabel": "Then I connect to '' and send object '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do put",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do put",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential put",
        "displayLabel": "Given I connect to '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential put",
        "displayLabel": "Then I connect to '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential put and output into ''",
        "displayLabel": "Given I connect to '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential put and output into ''",
        "displayLabel": "Then I connect to '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential put",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential put",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential put and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential put and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential put",
        "displayLabel": "Given I connect to '' and send object '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential put",
        "displayLabel": "Then I connect to '' and send object '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential put",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential put",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel put",
        "displayLabel": "Given I connect to '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel put",
        "displayLabel": "Then I connect to '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel put and output into ''",
        "displayLabel": "Given I connect to '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel put and output into ''",
        "displayLabel": "Then I connect to '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel put",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel put",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel put and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel put and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel put",
        "displayLabel": "Given I connect to '' and send object '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel put",
        "displayLabel": "Then I connect to '' and send object '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel put",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel put",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same put",
        "displayLabel": "Given I connect to '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same put",
        "displayLabel": "Then I connect to '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same put and output into ''",
        "displayLabel": "Given I connect to '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same put and output into ''",
        "displayLabel": "Then I connect to '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same put",
        "displayLabel": "Given I connect to '' and send headers '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same put",
        "displayLabel": "Then I connect to '' and send headers '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same put and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same put and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same put",
        "displayLabel": "Given I connect to '' and send object '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same put",
        "displayLabel": "Then I connect to '' and send object '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same put",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same put",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same put",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same put and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same put and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same put and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do patch",
        "displayLabel": "Given I connect to '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do patch",
        "displayLabel": "Then I connect to '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do patch and output into ''",
        "displayLabel": "Given I connect to '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do patch and output into ''",
        "displayLabel": "Then I connect to '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do patch",
        "displayLabel": "Given I connect to '' and send headers '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do patch",
        "displayLabel": "Then I connect to '' and send headers '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do patch and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do patch and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do patch",
        "displayLabel": "Given I connect to '' and send object '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do patch",
        "displayLabel": "Then I connect to '' and send object '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do patch",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do patch",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential patch",
        "displayLabel": "Given I connect to '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential patch",
        "displayLabel": "Then I connect to '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential patch and output into ''",
        "displayLabel": "Given I connect to '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential patch and output into ''",
        "displayLabel": "Then I connect to '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential patch",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential patch",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential patch and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential patch and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential patch",
        "displayLabel": "Given I connect to '' and send object '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential patch",
        "displayLabel": "Then I connect to '' and send object '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential patch",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential patch",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel patch",
        "displayLabel": "Given I connect to '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel patch",
        "displayLabel": "Then I connect to '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel patch and output into ''",
        "displayLabel": "Given I connect to '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel patch and output into ''",
        "displayLabel": "Then I connect to '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel patch",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel patch",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel patch and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel patch and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel patch",
        "displayLabel": "Given I connect to '' and send object '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel patch",
        "displayLabel": "Then I connect to '' and send object '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel patch",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel patch",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same patch",
        "displayLabel": "Given I connect to '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same patch",
        "displayLabel": "Then I connect to '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same patch and output into ''",
        "displayLabel": "Given I connect to '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same patch and output into ''",
        "displayLabel": "Then I connect to '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same patch",
        "displayLabel": "Given I connect to '' and send headers '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same patch",
        "displayLabel": "Then I connect to '' and send headers '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same patch and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same patch and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same patch",
        "displayLabel": "Given I connect to '' and send object '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same patch",
        "displayLabel": "Then I connect to '' and send object '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same patch",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same patch",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same patch",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same patch and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same patch and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same patch and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do delete",
        "displayLabel": "Given I connect to '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do delete",
        "displayLabel": "Then I connect to '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do delete and output into ''",
        "displayLabel": "Given I connect to '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do delete and output into ''",
        "displayLabel": "Then I connect to '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do delete",
        "displayLabel": "Given I connect to '' and send headers '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do delete",
        "displayLabel": "Then I connect to '' and send headers '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do delete and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do delete and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do delete",
        "displayLabel": "Given I connect to '' and send object '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do delete",
        "displayLabel": "Then I connect to '' and send object '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do delete",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do delete",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential delete",
        "displayLabel": "Given I connect to '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential delete",
        "displayLabel": "Then I connect to '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do sequential delete and output into ''",
        "displayLabel": "Given I connect to '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do sequential delete and output into ''",
        "displayLabel": "Then I connect to '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential delete",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential delete",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do sequential delete and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do sequential delete and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential delete",
        "displayLabel": "Given I connect to '' and send object '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential delete",
        "displayLabel": "Then I connect to '' and send object '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do sequential delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do sequential delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential delete",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential delete",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do sequential delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do sequential delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do sequential delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel delete",
        "displayLabel": "Given I connect to '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel delete",
        "displayLabel": "Then I connect to '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do parallel delete and output into ''",
        "displayLabel": "Given I connect to '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do parallel delete and output into ''",
        "displayLabel": "Then I connect to '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel delete",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel delete",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do parallel delete and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do parallel delete and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel delete",
        "displayLabel": "Given I connect to '' and send object '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel delete",
        "displayLabel": "Then I connect to '' and send object '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do parallel delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do parallel delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel delete",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel delete",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do parallel delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do parallel delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do parallel delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same delete",
        "displayLabel": "Given I connect to '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same delete",
        "displayLabel": "Then I connect to '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and do same delete and output into ''",
        "displayLabel": "Given I connect to '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and do same delete and output into ''",
        "displayLabel": "Then I connect to '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same delete",
        "displayLabel": "Given I connect to '' and send headers '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same delete",
        "displayLabel": "Then I connect to '' and send headers '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send headers '' and do same delete and output into ''",
        "displayLabel": "Given I connect to '' and send headers '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send headers '' and do same delete and output into ''",
        "displayLabel": "Then I connect to '' and send headers '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same delete",
        "displayLabel": "Given I connect to '' and send object '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same delete",
        "displayLabel": "Then I connect to '' and send object '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and do same delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and do same delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same delete",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same delete",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same delete",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http given I connect to '' and send object '' and send headers '' and do same delete and output into ''",
        "displayLabel": "Given I connect to '' and send object '' and send headers '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "http then I connect to '' and send object '' and send headers '' and do same delete and output into ''",
        "displayLabel": "Then I connect to '' and send object '' and send headers '' and do same delete and output into ''",
        "type": "keyword",
        "info": "[http]"
    },
    {
        "label": "JSONSchema given I send json_data '' and send json_schema '' and validate json",
        "displayLabel": "Given I send json_data '' and send json_schema '' and validate json",
        "type": "keyword",
        "info": "[JSONSchema]"
    },
    {
        "label": "JSONSchema then I send json_data '' and send json_schema '' and validate json",
        "displayLabel": "Then I send json_data '' and send json_schema '' and validate json",
        "type": "keyword",
        "info": "[JSONSchema]"
    },
    {
        "label": "JSONSchema given I send json_data '' and send json_schema '' and validate json and output into ''",
        "displayLabel": "Given I send json_data '' and send json_schema '' and validate json and output into ''",
        "type": "keyword",
        "info": "[JSONSchema]"
    },
    {
        "label": "JSONSchema then I send json_data '' and send json_schema '' and validate json and output into ''",
        "displayLabel": "Then I send json_data '' and send json_schema '' and validate json and output into ''",
        "type": "keyword",
        "info": "[JSONSchema]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and generate access token",
        "displayLabel": "Given I send request '' and send server_data '' and generate access token",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and generate access token",
        "displayLabel": "Then I send request '' and send server_data '' and generate access token",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and generate access token and output into ''",
        "displayLabel": "Given I send request '' and send server_data '' and generate access token and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and generate access token and output into ''",
        "displayLabel": "Then I send request '' and send server_data '' and generate access token and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and verify request parameters",
        "displayLabel": "Given I send request '' and send server_data '' and verify request parameters",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and verify request parameters",
        "displayLabel": "Then I send request '' and send server_data '' and verify request parameters",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and verify request parameters and output into ''",
        "displayLabel": "Given I send request '' and send server_data '' and verify request parameters and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and verify request parameters and output into ''",
        "displayLabel": "Then I send request '' and send server_data '' and verify request parameters and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and generate authorization code",
        "displayLabel": "Given I send request '' and send server_data '' and generate authorization code",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and generate authorization code",
        "displayLabel": "Then I send request '' and send server_data '' and generate authorization code",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send server_data '' and generate authorization code and output into ''",
        "displayLabel": "Given I send request '' and send server_data '' and generate authorization code and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send server_data '' and generate authorization code and output into ''",
        "displayLabel": "Then I send request '' and send server_data '' and generate authorization code and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri",
        "displayLabel": "Given I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri",
        "displayLabel": "Then I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri and output into ''",
        "displayLabel": "Given I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri and output into ''",
        "displayLabel": "Then I send request '' and send client '' and send server_data '' and send expires_in '' and generate request uri and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send token '' and send server_data '' and get authorization details from token",
        "displayLabel": "Given I send token '' and send server_data '' and get authorization details from token",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send token '' and send server_data '' and get authorization details from token",
        "displayLabel": "Then I send token '' and send server_data '' and get authorization details from token",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send token '' and send server_data '' and get authorization details from token and output into ''",
        "displayLabel": "Given I send token '' and send server_data '' and get authorization details from token and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send token '' and send server_data '' and get authorization details from token and output into ''",
        "displayLabel": "Then I send token '' and send server_data '' and get authorization details from token and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request_uri '' and send data '' and send server_data '' and add data to authorization details",
        "displayLabel": "Given I send request_uri '' and send data '' and send server_data '' and add data to authorization details",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request_uri '' and send data '' and send server_data '' and add data to authorization details",
        "displayLabel": "Then I send request_uri '' and send data '' and send server_data '' and add data to authorization details",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth given I send request_uri '' and send data '' and send server_data '' and add data to authorization details and output into ''",
        "displayLabel": "Given I send request_uri '' and send data '' and send server_data '' and add data to authorization details and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "oauth then I send request_uri '' and send data '' and send server_data '' and add data to authorization details and output into ''",
        "displayLabel": "Then I send request_uri '' and send data '' and send server_data '' and add data to authorization details and output into ''",
        "type": "keyword",
        "info": "[oauth]"
    },
    {
        "label": "pocketbase given I connect to '' and start pb client",
        "displayLabel": "Given I connect to '' and start pb client",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I connect to '' and start pb client",
        "displayLabel": "Then I connect to '' and start pb client",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I connect to '' and start pb client and output into ''",
        "displayLabel": "Given I connect to '' and start pb client and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I connect to '' and start pb client and output into ''",
        "displayLabel": "Then I connect to '' and start pb client and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I connect to '' and start capacitor pb client",
        "displayLabel": "Given I connect to '' and start capacitor pb client",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I connect to '' and start capacitor pb client",
        "displayLabel": "Then I connect to '' and start capacitor pb client",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I connect to '' and start capacitor pb client and output into ''",
        "displayLabel": "Given I connect to '' and start capacitor pb client and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I connect to '' and start capacitor pb client and output into ''",
        "displayLabel": "Then I connect to '' and start capacitor pb client and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send my_credentials '' and login",
        "displayLabel": "Given I send my_credentials '' and login",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send my_credentials '' and login",
        "displayLabel": "Then I send my_credentials '' and login",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send my_credentials '' and login and output into ''",
        "displayLabel": "Given I send my_credentials '' and login and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send my_credentials '' and login and output into ''",
        "displayLabel": "Then I send my_credentials '' and login and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send email '' and ask password reset",
        "displayLabel": "Given I send email '' and ask password reset",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send email '' and ask password reset",
        "displayLabel": "Then I send email '' and ask password reset",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send email '' and ask password reset and output into ''",
        "displayLabel": "Given I send email '' and ask password reset and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send email '' and ask password reset and output into ''",
        "displayLabel": "Then I send email '' and ask password reset and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send list_parameters '' and get some records",
        "displayLabel": "Given I send list_parameters '' and get some records",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send list_parameters '' and get some records",
        "displayLabel": "Then I send list_parameters '' and get some records",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send list_parameters '' and get some records and output into ''",
        "displayLabel": "Given I send list_parameters '' and get some records and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send list_parameters '' and get some records and output into ''",
        "displayLabel": "Then I send list_parameters '' and get some records and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send show_parameters '' and get one record",
        "displayLabel": "Given I send show_parameters '' and get one record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send show_parameters '' and get one record",
        "displayLabel": "Then I send show_parameters '' and get one record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send show_parameters '' and get one record and output into ''",
        "displayLabel": "Given I send show_parameters '' and get one record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send show_parameters '' and get one record and output into ''",
        "displayLabel": "Then I send show_parameters '' and get one record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send create_parameters '' and send record_parameters '' and create record",
        "displayLabel": "Given I send create_parameters '' and send record_parameters '' and create record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send create_parameters '' and send record_parameters '' and create record",
        "displayLabel": "Then I send create_parameters '' and send record_parameters '' and create record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send create_parameters '' and send record_parameters '' and create record and output into ''",
        "displayLabel": "Given I send create_parameters '' and send record_parameters '' and create record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send create_parameters '' and send record_parameters '' and create record and output into ''",
        "displayLabel": "Then I send create_parameters '' and send record_parameters '' and create record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send update_parameters '' and send record_parameters '' and update record",
        "displayLabel": "Given I send update_parameters '' and send record_parameters '' and update record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send update_parameters '' and send record_parameters '' and update record",
        "displayLabel": "Then I send update_parameters '' and send record_parameters '' and update record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send update_parameters '' and send record_parameters '' and update record and output into ''",
        "displayLabel": "Given I send update_parameters '' and send record_parameters '' and update record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send update_parameters '' and send record_parameters '' and update record and output into ''",
        "displayLabel": "Then I send update_parameters '' and send record_parameters '' and update record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send delete_parameters '' and delete record",
        "displayLabel": "Given I send delete_parameters '' and delete record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send delete_parameters '' and delete record",
        "displayLabel": "Then I send delete_parameters '' and delete record",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send delete_parameters '' and delete record and output into ''",
        "displayLabel": "Given I send delete_parameters '' and delete record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send delete_parameters '' and delete record and output into ''",
        "displayLabel": "Then I send delete_parameters '' and delete record and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send url '' and send send_parameters '' and send request",
        "displayLabel": "Given I send url '' and send send_parameters '' and send request",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send url '' and send send_parameters '' and send request",
        "displayLabel": "Then I send url '' and send send_parameters '' and send request",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase given I send url '' and send send_parameters '' and send request and output into ''",
        "displayLabel": "Given I send url '' and send send_parameters '' and send request and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "pocketbase then I send url '' and send send_parameters '' and send request and output into ''",
        "displayLabel": "Then I send url '' and send send_parameters '' and send request and output into ''",
        "type": "keyword",
        "info": "[pocketbase]"
    },
    {
        "label": "qrcode given I send text '' and create qr code",
        "displayLabel": "Given I send text '' and create qr code",
        "type": "keyword",
        "info": "[qrcode]"
    },
    {
        "label": "qrcode then I send text '' and create qr code",
        "displayLabel": "Then I send text '' and create qr code",
        "type": "keyword",
        "info": "[qrcode]"
    },
    {
        "label": "qrcode given I send text '' and create qr code and output into ''",
        "displayLabel": "Given I send text '' and create qr code and output into ''",
        "type": "keyword",
        "info": "[qrcode]"
    },
    {
        "label": "qrcode then I send text '' and create qr code and output into ''",
        "displayLabel": "Then I send text '' and create qr code and output into ''",
        "type": "keyword",
        "info": "[qrcode]"
    },
    {
        "label": "redis given I connect to '' and send key '' and send object '' and write object into key in redis",
        "displayLabel": "Given I connect to '' and send key '' and send object '' and write object into key in redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and send object '' and write object into key in redis",
        "displayLabel": "Then I connect to '' and send key '' and send object '' and write object into key in redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis given I connect to '' and send key '' and send object '' and write object into key in redis and output into ''",
        "displayLabel": "Given I connect to '' and send key '' and send object '' and write object into key in redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and send object '' and write object into key in redis and output into ''",
        "displayLabel": "Then I connect to '' and send key '' and send object '' and write object into key in redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis given I connect to '' and send key '' and read key from redis",
        "displayLabel": "Given I connect to '' and send key '' and read key from redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and read key from redis",
        "displayLabel": "Then I connect to '' and send key '' and read key from redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis given I connect to '' and send key '' and read key from redis and output into ''",
        "displayLabel": "Given I connect to '' and send key '' and read key from redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and read key from redis and output into ''",
        "displayLabel": "Then I connect to '' and send key '' and read key from redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis given I connect to '' and send key '' and delete key from redis",
        "displayLabel": "Given I connect to '' and send key '' and delete key from redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and delete key from redis",
        "displayLabel": "Then I connect to '' and send key '' and delete key from redis",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis given I connect to '' and send key '' and delete key from redis and output into ''",
        "displayLabel": "Given I connect to '' and send key '' and delete key from redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "redis then I connect to '' and send key '' and delete key from redis and output into ''",
        "displayLabel": "Then I connect to '' and send key '' and delete key from redis and output into ''",
        "type": "keyword",
        "info": "[redis]"
    },
    {
        "label": "shell given I send command '' and execute in shell",
        "displayLabel": "Given I send command '' and execute in shell",
        "type": "keyword",
        "info": "[shell]"
    },
    {
        "label": "shell then I send command '' and execute in shell",
        "displayLabel": "Then I send command '' and execute in shell",
        "type": "keyword",
        "info": "[shell]"
    },
    {
        "label": "shell given I send command '' and execute in shell and output into ''",
        "displayLabel": "Given I send command '' and execute in shell and output into ''",
        "type": "keyword",
        "info": "[shell]"
    },
    {
        "label": "shell then I send command '' and execute in shell and output into ''",
        "displayLabel": "Then I send command '' and execute in shell and output into ''",
        "type": "keyword",
        "info": "[shell]"
    },
    {
        "label": "timestamp given I fetch the local timestamp in milliseconds",
        "displayLabel": "Given I fetch the local timestamp in milliseconds",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp then I fetch the local timestamp in milliseconds",
        "displayLabel": "Then I fetch the local timestamp in milliseconds",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp given I fetch the local timestamp in milliseconds and output into ''",
        "displayLabel": "Given I fetch the local timestamp in milliseconds and output into ''",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp then I fetch the local timestamp in milliseconds and output into ''",
        "displayLabel": "Then I fetch the local timestamp in milliseconds and output into ''",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp given I fetch the local timestamp in seconds",
        "displayLabel": "Given I fetch the local timestamp in seconds",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp then I fetch the local timestamp in seconds",
        "displayLabel": "Then I fetch the local timestamp in seconds",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp given I fetch the local timestamp in seconds and output into ''",
        "displayLabel": "Given I fetch the local timestamp in seconds and output into ''",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "timestamp then I fetch the local timestamp in seconds and output into ''",
        "displayLabel": "Then I fetch the local timestamp in seconds and output into ''",
        "type": "keyword",
        "info": "[timestamp]"
    },
    {
        "label": "wallet given I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt",
        "displayLabel": "Given I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt",
        "displayLabel": "Then I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt and output into ''",
        "displayLabel": "Given I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt and output into ''",
        "displayLabel": "Then I send jwk '' and send object '' and send holder '' and send fields '' and create vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt",
        "displayLabel": "Given I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt",
        "displayLabel": "Then I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt and output into ''",
        "displayLabel": "Given I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt and output into ''",
        "displayLabel": "Then I send verifier_url '' and send issued_vc '' and send disclosed '' and send nonce '' and send holder '' and present vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt",
        "displayLabel": "Given I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt",
        "displayLabel": "Then I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt and output into ''",
        "displayLabel": "Given I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt and output into ''",
        "displayLabel": "Then I send verifier_url '' and send issued_vc '' and send nonce '' and send issuer '' and verify vc sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I create p-256 key",
        "displayLabel": "Given I create p-256 key",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I create p-256 key",
        "displayLabel": "Then I create p-256 key",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I create p-256 key and output into ''",
        "displayLabel": "Given I create p-256 key and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I create p-256 key and output into ''",
        "displayLabel": "Then I create p-256 key and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send sk '' and create p-256 public key",
        "displayLabel": "Given I send sk '' and create p-256 public key",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send sk '' and create p-256 public key",
        "displayLabel": "Then I send sk '' and create p-256 public key",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send sk '' and create p-256 public key and output into ''",
        "displayLabel": "Given I send sk '' and create p-256 public key and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send sk '' and create p-256 public key and output into ''",
        "displayLabel": "Then I send sk '' and create p-256 public key and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send token '' and pretty print sd jwt",
        "displayLabel": "Given I send token '' and pretty print sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send token '' and pretty print sd jwt",
        "displayLabel": "Then I send token '' and pretty print sd jwt",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet given I send token '' and pretty print sd jwt and output into ''",
        "displayLabel": "Given I send token '' and pretty print sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "wallet then I send token '' and pretty print sd jwt and output into ''",
        "displayLabel": "Then I send token '' and pretty print sd jwt and output into ''",
        "type": "keyword",
        "info": "[wallet]"
    },
    {
        "label": "zencode given I send script '' and send data '' and send keys '' and execute zencode",
        "displayLabel": "Given I send script '' and send data '' and send keys '' and execute zencode",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode then I send script '' and send data '' and send keys '' and execute zencode",
        "displayLabel": "Then I send script '' and send data '' and send keys '' and execute zencode",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode given I send script '' and send data '' and send keys '' and execute zencode and output into ''",
        "displayLabel": "Given I send script '' and send data '' and send keys '' and execute zencode and output into ''",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode then I send script '' and send data '' and send keys '' and execute zencode and output into ''",
        "displayLabel": "Then I send script '' and send data '' and send keys '' and execute zencode and output into ''",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode given I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode",
        "displayLabel": "Given I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode then I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode",
        "displayLabel": "Then I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode given I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode and output into ''",
        "displayLabel": "Given I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode and output into ''",
        "type": "keyword",
        "info": "[zencode]"
    },
    {
        "label": "zencode then I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode and output into ''",
        "displayLabel": "Then I send script '' and send data '' and send keys '' and send extra '' and send conf '' and execute zencode and output into ''",
        "type": "keyword",
        "info": "[zencode]"
    }
];

// SPDX-FileCopyrightText: 2024 Dyne.org foundation
// Helper function to strip quotes from matched strings
function stripQuotes(s) {
    return s.replace(/^'|'$/g, '');
}
const fullStatementSnippets = fullStatementTemplates.map((x) => {
    let n = 1;
    return autocomplete.snippetCompletion(x.displayLabel.replace(/''/g, () => `'\${${n++}:}'`), x);
});
function completeStatement(context) {
    const line = context.state.doc.lineAt(context.pos);
    let textBefore = context.state.sliceDoc(line.from, context.pos);
    const strings = textBefore.match(/'([^']*)'/g);
    textBefore = textBefore.toLowerCase();
    if (!strings) {
        return {
            from: context.pos - textBefore.length,
            to: line.to,
            options: fullStatementSnippets,
            validFor: /^.*$/,
        };
    }
    const strippedStrings = strings.map(stripQuotes);
    const templateOption = fullStatementTemplates.map((x) => {
        let n = 1;
        let m = 0;
        return autocomplete.snippetCompletion(x.displayLabel.replace(/''/g, () => `'\${${n}:${strippedStrings[n++ - 1] || ''}}'`), {
            label: x.label.replace(/''/g, () => `${strings[m] || "''"}`),
            displayLabel: x.displayLabel.replace(/''/g, () => `${strings[m++] || "''"}`),
            type: x.type,
        });
    });
    return {
        from: context.pos - textBefore.length,
        to: line.to,
        options: templateOption,
        validFor: /^.*$/,
    };
}

// SPDX-FileCopyrightText: 2024 Dyne.org foundation
// Helper function to extract the content inside quotes
function extractContent(line) {
    return [...line.matchAll(/'([^']*)'/g)].map(match => match[1]);
}
// Helper function to insert the content into the template
function insertContent(template, content) {
    let contentIndex = 0;
    return template.replace(/''/g, () => `'${content[contentIndex++] || ""}'`);
}
// Normalize a line (case-insensitive, remove extra spaces)
function normalizeLine(line) {
    var _a;
    const regex = /'[^']*'|[^'\s]+/g;
    return ((_a = line.match(regex)) === null || _a === void 0 ? void 0 : _a.map((word) => {
        if (word.startsWith("'") && word.endsWith("'")) {
            return word;
        }
        if (word === 'I' || word === 'i') {
            return word;
        }
        return word.toLowerCase();
    }).join(' ').trim()) || '';
}
// Helper function to generate permutations of "send" phrases
function generateSendPermutations(statement) {
    const sendParts = statement.match(/send [^']+ ''/g) || [];
    if (sendParts.length <= 1)
        return [statement];
    const permute = (arr, result = []) => {
        if (arr.length === 0)
            return [result.join(' and ')];
        let permutations = [];
        for (let i = 0; i < arr.length; i++) {
            const current = arr.slice();
            const next = current.splice(i, 1);
            permutations = permutations.concat(permute(current, result.concat(next)));
        }
        return permutations;
    };
    const permutedSendParts = permute(sendParts);
    return permutedSendParts.map((perm) => statement.replace(/(send [^']+ '')( and send [^']+ '')*/g, perm));
}
function capitalize(statement) {
    return statement.charAt(0).toUpperCase() + statement.slice(1);
}
// Helper function to find the most similar correct statements
function findMostSimilarStatements(wrongStatement, correctStatements) {
    const scores = correctStatements.map(template => {
        const normalizedTemplate = normalizeLine(template);
        return {
            statement: template,
            distance: fastestLevenshtein.distance(normalizedTemplate, wrongStatement)
        };
    });
    // Sort by similarity (smallest Levenshtein distance)
    scores.sort((a, b) => a.distance - b.distance);
    // Return the top 3 most similar statements
    return scores.slice(0, 3).map(score => capitalize(score.statement));
}
const correctStatements = fullStatementTemplates.flatMap(template => {
    const normalizedTemplate = normalizeLine(template.displayLabel);
    return generateSendPermutations(normalizedTemplate);
});
const customLinter = lint.linter((view) => {
    let diagnostics = [];
    const doc = view.state.doc;
    const cursorLine = view.state.selection.main.head;
    const lineCount = doc.lines;
    for (let i = 1; i <= lineCount; i++) {
        const line = doc.line(i);
        // Ignore the line where the cursor is
        if (line.from <= cursorLine && cursorLine <= line.to) {
            continue;
        }
        const lineText = line.text.trim();
        // Ignore empty lines and comment lines
        if (lineText === '' || lineText.startsWith('#') || lineText.toLowerCase().startsWith('scenario')) {
            continue;
        }
        const content = extractContent(lineText);
        const normalizedLine = normalizeLine(lineText);
        const modifiedStatements = correctStatements.map(template => {
            const updatedTemplate = insertContent(template, content);
            return updatedTemplate;
        });
        const matchesStatement = modifiedStatements.includes(normalizedLine);
        if (!matchesStatement) {
            const mostSimilarStatements = findMostSimilarStatements(normalizedLine, modifiedStatements);
            diagnostics.push({
                from: line.from,
                to: line.to,
                severity: 'error',
                message: 'Invalid statement, do you mean:',
                actions: mostSimilarStatements.map((statement) => ({
                    name: statement,
                    apply(view, from, to) {
                        view.dispatch({
                            changes: { from, to, insert: statement },
                        });
                    },
                })),
            });
        }
    }
    return diagnostics;
});

// SPDX-FileCopyrightText: 2024 Dyne.org foundation
const syntax_colors = language.syntaxHighlighting(language.HighlightStyle.define([
    { tag: highlight.tags.heading, color: 'purple' },
    { tag: highlight.tags.heading1, color: 'gray' },
    { tag: highlight.tags.variableName, color: 'red' },
    { tag: highlight.tags.keyword, color: 'green' },
    { tag: highlight.tags.string, color: 'blue' },
    { tag: highlight.tags.lineComment, color: 'gray' },
    { tag: highlight.tags.heading2, color: 'black' },
], { all: { color: 'black' } }));
const SlangroomLanguage = language.LRLanguage.define({
    parser: parser.configure({
        props: [
            highlight.styleTags({
                'given then when and in inside if endif foreach endforeach': highlight.tags.variableName,
                'have send open connect print output': highlight.tags.keyword,
                'rule VersionRule! GenericRule!': highlight.tags.heading,
                'scenario ScenarioType/... ScenarioComment!': highlight.tags.heading1,
                'DbAction! EthereumAction! FsAction! GitAction! HelpersAction! HttpAction! JsonSchemaAction! OAuthAction! PocketbaseAction! QrCodeAction! RedisAction! ShellAction! TimestampAction! WalletAction! ZencodeAction!': highlight.tags.heading2,
                StringLiteral: highlight.tags.string,
                Comment: highlight.tags.lineComment,
            }),
        ],
    }),
    languageData: {
        commentTokens: { line: '#' },
    },
});
const ac = SlangroomLanguage.data.of({
    autocomplete: completeStatement,
});
function Slangroom() {
    return new language.LanguageSupport(SlangroomLanguage, [syntax_colors, ac]);
}

exports.Slangroom = Slangroom;
exports.SlangroomLanguage = SlangroomLanguage;
exports.customLinter = customLinter;
